<?php
/**
 * TaskId: 54333
 * User: rprajapati
 * Date: 30/8/22
 */

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

chdir(dirname(__FILE__));
require "../init.php";

$result = array(
    'success' => false,
    'error' => 'Record not found.',
);

if (!empty($_REQUEST['id']) && intval($_REQUEST['invitees']['count']) > 0) {
    $conacts = [];
    foreach ($_REQUEST['invitees']['invitees_details'] as $contactid => $data) {
        $conacts[] = $contactid;
    }

    $sqlDel = "DELETE FROM boru_event_invitees WHERE eventid = ?";
    $dbh->run($sqlDel, array($_REQUEST['id']));

    if ($_REQUEST['eventstatus'] == 'Planned'){
        foreach ($conacts as $conId){
            $sql = "INSERT INTO `boru_event_invitees` (`eventid`,`contacts`,`datetime`) VALUES (?,?,NOW())";
            $dbh->run($sql, array($_REQUEST['id'], $conId));
        }
    }

    $result = array(
        'success' => true
    );
} else {
    $result = array(
        'success' => false,
        'error' => 'Record not found.',
    );
}

echo json_encode($result);
exit;