<?php
/**
 * Created by BORU
 * Team: IN
 * Date: 17/01/23 1:54 PM
 */
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

chdir(dirname(__FILE__));
require "../init.php";

$result = array('success' => false);
global $dbh;

if (!empty($_REQUEST['eventid'])) {
    $eventid         = $_REQUEST['eventid'];
    if (!empty($eventid)) {
        try {
            $sql = "SELECT * FROM boru_event_invitees WHERE eventid = ? ORDER BY contacts,datetime ASC";
            $queryresult = $dbh->runFetchAll($sql, array('18x'.$eventid));
            $eventStatusArr = array();
            $eventStatusArrALL = array();
            foreach ($queryresult as $key => $val) {
                if(empty($val['status'])){
                    continue;
                }
                $preData = $queryresult[$key-1];
                if(!empty($preData['status']) && $preData['contacts'] == $val['contacts']){
                    $preSatus = $preData['status'];
                }else{
                    $preSatus = 'Blank';

                }
                $statusupdatedDate = date('d/m/Y h:iA',strtotime($val['datetime']));
                $val['historyStatusString'] = "changed from <i>" . $preSatus . "</i> to <i>" . $val['status'] . "</i> on <i>" . $statusupdatedDate."</i>";
                $contactArr = explode('x', $val['contacts']);
                $eventStatusArrALL[$contactArr[1]][] = $val;
                $eventStatusArr[$contactArr[1]] = $val['status'];
            }

            $result = array('success' => true, 'eventstatus'=>$eventStatusArr, 'eventstatusAll'=>$eventStatusArrALL);
        } catch (Exception $e) {
            $result = array(
                'success'   => false,
                'error'     => 'Error while saving record.',
                'errorDesc' => $e->getMessage(),
            );
        }
    }
}

echo json_encode($result);
exit;