<?php
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE) );/**/
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$quote_no = $_REQUEST['quote_no'];
$po_number1 = $_REQUEST['po_number1'];
if($quote_no && $quote_no != 'false') {
    try {
        $query_quote = sprintf("SELECT * FROM Quotes WHERE quote_no='%s' LIMIT 1; ", $quote_no);
        $res_quote = $vtod->query($query_quote);
        if(isset($res_quote[0]['id'])) {
            if(isset($res_quote[0]['potential_id'])) {
                $dealRecord = $vtod->retrieve($res_quote[0]['potential_id']);
                if($dealRecord) {
                    $dealRecord['cf_potentials_ponumber1'] = $po_number1;
                    $dealJson = json_encode($dealRecord);
                    $dealParams = array(
                        "sessionName" => $vtod->sessionId,
                        "operation" => 'update',
                        "element" => $dealJson
                    );
                    $dataDeal = $vtod->curlPost($vtconfig_url . "webservice.php", $dealParams);
                }
            }
            $quoteRecord = $res_quote[0];
            if ($po_number1) $quoteRecord['cf_quotes_ponumber1'] = $po_number1;
            $quoteJson = json_encode($quoteRecord);
            $quoteParams = array(
                "sessionName" => $vtod->sessionId,
                "operation" => 'update',
                "element" => $quoteJson
            );
            $dataQuote = $vtod->curlPost($vtconfig_url . "webservice.php", $quoteParams);
            $resultQuote = json_decode($dataQuote);
            if ($resultQuote->result->id) {
                echo json_encode(array('success' => true));
                exit;
            } else {
                echo json_encode(array('success' => false, 'message' => $resultQuote->error->message));
                exit;
            }
        }
    } catch(Exception $e) {
        echo json_encode(array('success'=>false));
        exit;
    }
} else {
    if($_REQUEST['contact_id'] && $_REQUEST['contact_id'] != 'false') {
        try {
            $query_contact = sprintf("SELECT * FROM Contacts WHERE contact_no='%s' LIMIT 1; ", $_REQUEST['contact_id']);
            $res_contact = $vtod->query($query_contact);
            if(isset($res_contact[0]['id'])) {
                $query_deal = sprintf("SELECT * FROM Potentials WHERE contact_id='%s'; ", $res_contact[0]['id']);
                $res_deal = $vtod->query($query_deal);
                if(count($res_deal)>0) {
                    foreach($res_deal as $k => $v) {
                        $v['cf_potentials_ponumber1'] = $po_number1;
                        $dealJson = json_encode($v);
                        $dealParams = array(
                            "sessionName" => $vtod->sessionId,
                            "operation" => 'update',
                            "element" => $dealJson
                        );
                        $dataDeal = $vtod->curlPost($vtconfig_url . "webservice.php", $dealParams);
                    }
                }
                echo json_encode(array('success' => true));
                exit;
            }
        } catch(Exception $e) {
            echo json_encode(array('success'=>false));
            exit;
        }
    }
}
echo json_encode(array('success'=>false));
exit;