<?php
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE) );/**/
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$dealArr = [];
$grandTotal = 0;
#task_id: 55085
if($_REQUEST['cf_accounts_state'] == 'Australian Capital Territory') {
    $_REQUEST['cf_accounts_state'] = 'ACT';
} elseif($_REQUEST['cf_accounts_state'] == 'New South Wales') {
    $_REQUEST['cf_accounts_state'] = 'NSW';
} elseif($_REQUEST['cf_accounts_state'] == 'Northern Territory') {
    $_REQUEST['cf_accounts_state'] = 'NT';
} elseif($_REQUEST['cf_accounts_state'] == 'Queensland') {
    $_REQUEST['cf_accounts_state'] = 'QLD';
} elseif($_REQUEST['cf_accounts_state'] == 'South Australia') {
    $_REQUEST['cf_accounts_state'] = 'SA';
} elseif($_REQUEST['cf_accounts_state'] == 'Tasmania') {
    $_REQUEST['cf_accounts_state'] = 'TAS';
} elseif($_REQUEST['cf_accounts_state'] == 'Victoria') {
    $_REQUEST['cf_accounts_state'] = 'VIC';
} elseif($_REQUEST['cf_accounts_state'] == 'Western Australia') {
    $_REQUEST['cf_accounts_state'] = 'WA';
}
#end task_id: 55085
$dealArr['potentialname'] = "2024 School Partnership Program";
$dealArr['cf_potentials_numberofparticipants'] = $_REQUEST['cf_accounts_totalnumberofstudentsattheschool'];
$eventName = "";
if($_REQUEST['cf_events']) {
    $eventRecord = $vtod->retrieve($_REQUEST['cf_events']);
    if($eventRecord['cf_events_shorteventname']) $eventName = $eventRecord['cf_events_shorteventname'];
    $dealArr['closingdate'] = date('d-m-Y', strtotime($eventRecord['date_start']."+1 day"));
}
$dealArr['pipeline'] = 'Standard';
$dealArr['sales_stage'] = 'Considering';
$dealArr['cf_potentials_orgtype'] = 'School - New';
if($_REQUEST['cf_accounts_state'] == 'QLD' || $_REQUEST['cf_accounts_state'] == 'NSW') {
    $dealArr['assigned_user_id'] = '19x33';
} else {
    $dealArr['assigned_user_id'] = '19x8';
}
$formlink = 'https://theresilienceproject.com.au/information-session-form-2024/';
$dealArr['cf_potentials_formlink'] = $formlink;

$dealArr['cf_potentials_state'] = $_REQUEST['cf_accounts_state'];
$confirm_url = "https://theresilienceproject.com.au/information-session-form-2024/?org_name=".rawurlencode($_REQUEST['accountname'])."&first_name=".rawurlencode($_REQUEST['Contacts_##_firstname'])."&last_name=".rawurlencode($_REQUEST['Contacts_##_lastname'])."&email=".$_REQUEST['Contacts_##_email']."&role=".rawurlencode($_REQUEST['cf_rolename'])."&state=".rawurlencode($_REQUEST['cf_accounts_state'])."&event=".rawurlencode($eventName)."&numberofstudents=".$_REQUEST['cf_accounts_totalnumberofstudentsattheschool'];
if($_REQUEST['accountname']) {
    if(strpos($_REQUEST['accountname'], "'s") !== false) {
        $org_name = str_replace("'s","\'s",$_REQUEST['accountname']);
    } else {
        $org_name = $_REQUEST['accountname'];
    }
    $query_org  = sprintf("SELECT * FROM Accounts WHERE accountname='%s' LIMIT 1; ",$org_name);
    $res_org = $vtod->query($query_org);
    if(isset($res_org[0]['id'])) {
        $dealArr['related_to'] = $res_org[0]['id'];
        $orgP = $vtod->retrieve($res_org[0]['id']);
        $orgP['cf_accounts_statenew'] = $_REQUEST['cf_accounts_state'];
        $orgP['cf_accounts_organisationtype'] = 'School';
        $orgP['cf_accounts_2024confirmationstatus'] = 'Considering';
        if($_REQUEST['cf_accounts_state'] == 'QLD' || $_REQUEST['cf_accounts_state'] == 'NSW') {
            $orgP['assigned_user_id'] = '19x33';
        } else {
            $orgP['assigned_user_id'] = '19x8';
        }
        $orgPJson = json_encode($orgP);
        $org_Params = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $orgPJson
        );
        $dataOrgP = $vtod->curlPost($vtconfig_url . "webservice.php", $org_Params);
    } else {
        #create new Org
        $orgArr = [];
        $orgArr['accountname'] = $_REQUEST['accountname'];
        $orgArr['cf_accounts_statenew'] = $_REQUEST['cf_accounts_state'];
        $orgArr['cf_accounts_organisationtype'] = 'School';
        $orgArr['cf_accounts_2024confirmationstatus'] = 'Considering';
        $orgArr['cf_accounts_totalnumberofstudentsattheschool'] = $_REQUEST['cf_accounts_totalnumberofstudentsattheschool'];
        if($_REQUEST['cf_accounts_state'] == 'QLD' || $_REQUEST['cf_accounts_state'] == 'NSW') {
            $orgArr['assigned_user_id'] = '19x33';
        } else {
            $orgArr['assigned_user_id'] = '19x8';
        }
        $orgArr['cf_accounts_formlink'] = $formlink;
        $objectOrgJson = json_encode($orgArr);
        $orgParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectOrgJson,
            "elementType" => 'Accounts',
        );
        $dataOrg = $vtod->curlPost($vtconfig_url . "webservice.php", $orgParams);
        $resultOrg = json_decode($dataOrg);
        if ($resultOrg->result->id) {
            $dealArr['related_to'] = $resultOrg->result->id;
        }
    }
}
if($_REQUEST['Contacts_##_email']) {
    $query_contact = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['Contacts_##_email']);
    $res_contact = $vtod->query($query_contact);
    if(isset($res_contact[0]['id'])) {
        $dealArr['contact_id'] = $res_contact[0]['id'];
        $contactP = $vtod->retrieve($res_contact[0]['id']);
        $contactP['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactP['firstname'] = $_REQUEST['Contacts_##_firstname'];
        $contactP['lastname'] = $_REQUEST['Contacts_##_lastname'];
        $contactP['cf_contacts_customtitle'] = $_REQUEST['cf_rolename'];
        if($dealArr['related_to']) {
            $contactP['account_id'] = $dealArr['related_to'];
        }
        $contactP['cf_contacts_statenew'] = $_REQUEST['cf_accounts_state'];
        $contactP['cf_contacts_type'] = 'Primary';
        if($_REQUEST['cf_accounts_state'] == 'QLD' || $_REQUEST['cf_accounts_state'] == 'NSW') {
            $contactP['assigned_user_id'] = '19x33';
        } else {
            $contactP['assigned_user_id'] = '19x8';
        }
        $contactJson = json_encode($contactP);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $contactJson
        );
        $dataContactP = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
    } else {
        #create new Contact
        $contactArr = [];
        $contactArr['firstname'] = $_REQUEST['Contacts_##_firstname'];
        $contactArr['lastname'] = $_REQUEST['Contacts_##_lastname'];
        $contactArr['cf_contacts_customtitle'] = $_REQUEST['cf_rolename'];
        $contactArr['email'] = $_REQUEST['Contacts_##_email'];
        $contactArr['cf_contacts_confirmationurlnew'] = $confirm_url;
        if($dealArr['related_to']) {
            $contactArr['account_id'] = $dealArr['related_to'];
        }
        $contactArr['cf_contacts_statenew'] = $_REQUEST['cf_accounts_state'];
        $contactArr['cf_contacts_type'] = 'Primary';
        if($_REQUEST['cf_accounts_state'] == 'QLD' || $_REQUEST['cf_accounts_state'] == 'NSW') {
            $contactArr['assigned_user_id'] = '19x33';
        } else {
            $contactArr['assigned_user_id'] = '19x8';
        }
        $contactArr['cf_contacts_formlink'] = $formlink;
        $objectContactJson = json_encode($contactArr);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectContactJson,
            "elementType" => 'Contacts',
        );
        $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
        $resultContact = json_decode($dataContact);
        if ($resultContact->result->id) {
            $dealArr['contact_id'] = $resultContact->result->id;
        }
    }
}
$dealArr['amount'] = (float)$grandTotal;
$dealArr['amount_currency_value'] = (float)$grandTotal;
$dealArr['hdnSubTotal'] = (float)$grandTotal;
$dealArr['hdnGrandTotal'] = (float)$grandTotal;
$objectJson = json_encode($dealArr);
$params = array(
    "sessionName" => $vtod->sessionId,
    "operation" => 'create',
    "element" => $objectJson,
    "elementType" => 'Potentials',
);
$data_potential = $vtod->curlPost($vtconfig_url . "webservice.php", $params);
$result_arr = json_decode($data_potential);
if ($result_arr->result->id) {
    $potentialId = $result_arr->result->id;
    if($potentialId && $eventRecord) {
        if($dealArr['contact_id']) {
            $contactR = $vtod->retrieve($dealArr['contact_id']);
            $contactR['cf_contacts_dealname'] = $potentialId;
            $contactRJson = json_encode($contactR);
            $contactRParams = array(
                "sessionName" => $vtod->sessionId,
                "operation" => 'update',
                "element" => $contactRJson
            );
            $dataContactR = $vtod->curlPost($vtconfig_url . "webservice.php", $contactRParams);
        }
        if($dealArr['related_to']) {
            $orgR = $vtod->retrieve($dealArr['related_to']);
            $orgR['cf_accounts_dealname'] = $potentialId;
            $orgRJson = json_encode($orgR);
            $orgRParams = array(
                "sessionName" => $vtod->sessionId,
                "operation" => 'update',
                "element" => $orgRJson
            );
            $dataOrgR = $vtod->curlPost($vtconfig_url . "webservice.php", $orgRParams);
        }

        $vtod->addRelated($eventRecord['id'],$potentialId);
        #add related Event to Deal
        $vtod->addRelated($potentialId,$eventRecord['id']);
        if($dealArr['related_to']) $vtod->addRelated($eventRecord['id'],$dealArr['related_to']);
        $eventRecord['account_id'] = $dealArr['related_to'];
        $eventRecord['contact_id'] = $dealArr['contact_id'];
        $eventRecord['cf_events_formlink'] = $formlink;

        //57316 - rprajapati - START - added to trigger WF, will be cleared in WF after email sent
        $eventRecord['cf_events_workflowname'] = 'Send Email - Information Session Form';
        //57316 - rprajapati - START

        $eventJson = json_encode($eventRecord);
        $eventParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $eventJson
        );

        $dataEvent = $vtod->curlPost($vtconfig_url . "webservice.php", $eventParams);
        $resultEvent = json_decode($dataEvent, 1);
        if ($resultEvent['result']['id']) {
            echo json_encode(array('success' => true, 'potentialId' => $potentialId));
            exit;
        } else {
            echo json_encode(array('success' => false, 'message' => $resultEvent->error->message));
            exit;
        }
    }
    echo json_encode(array('success'=>true,'potentialId'=>$potentialId));
    exit;
} else {
    echo json_encode(array('success'=>false,'message'=>$result_arr->error->message));
    exit;
}
