<?php
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE) );/**/
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];

#task: 54099
if($_REQUEST['cf_accounts_state'] == 'Australian Capital Territory') {
    $_REQUEST['cf_accounts_state'] = 'ACT';
} elseif($_REQUEST['cf_accounts_state'] == 'New South Wales') {
    $_REQUEST['cf_accounts_state'] = 'NSW';
} elseif($_REQUEST['cf_accounts_state'] == 'Northern Territory') {
    $_REQUEST['cf_accounts_state'] = 'NT';
} elseif($_REQUEST['cf_accounts_state'] == 'Queensland') {
    $_REQUEST['cf_accounts_state'] = 'QLD';
} elseif($_REQUEST['cf_accounts_state'] == 'South Australia') {
    $_REQUEST['cf_accounts_state'] = 'SA';
} elseif($_REQUEST['cf_accounts_state'] == 'Tasmania') {
    $_REQUEST['cf_accounts_state'] = 'TAS';
} elseif($_REQUEST['cf_accounts_state'] == 'Victoria') {
    $_REQUEST['cf_accounts_state'] = 'VIC';
} elseif($_REQUEST['cf_accounts_state'] == 'Western Australia') {
    $_REQUEST['cf_accounts_state'] = 'WA';
}
#end task: 54099

$confirm_url = "https://forms.theresilienceproject.com.au/workplace-confirmation-form/?org_name=".rawurlencode($_REQUEST['accountname'])."&contact_first_name=".rawurlencode($_REQUEST['Contacts_##_firstname'])."&contact_last_name=".rawurlencode($_REQUEST['Contacts_##_lastname'])."&contact_email=".$_REQUEST['Contacts_##_email']."&address=".rawurlencode($_REQUEST['cf_accounts_address'])."&city=".rawurlencode($_REQUEST['cf_accounts_city'])."&state=".rawurlencode($_REQUEST['cf_accounts_state'])."&zip_code=".$_REQUEST['cf_accounts_zipcode'];

if($_REQUEST['accountname']) {
    $_REQUEST['accountname'] = urldecode($_REQUEST['accountname']);
    if(strpos($_REQUEST['accountname'], "'s") !== false) {
        $org_name = str_replace("'s","\'s",$_REQUEST['accountname']);
    } else {
        $org_name = $_REQUEST['accountname'];
    }
    $query_org  = sprintf("SELECT * FROM Accounts WHERE accountname='%s' LIMIT 1; ",$org_name);
    $res_org = $vtod->query($query_org);
    if(!isset($res_org[0]['id'])) {
        #create new Org
        $orgArr = [];
        $orgArr['accountname'] = $_REQUEST['accountname'];
        $orgArr['cf_accounts_address'] = $_REQUEST['cf_accounts_address'];
        $orgArr['cf_accounts_city'] = $_REQUEST['cf_accounts_city'];
        $orgArr['cf_accounts_statenew'] = $_REQUEST['cf_accounts_state'];
        $orgArr['cf_accounts_zipcode'] = $_REQUEST['cf_accounts_zipcode'];
        $orgArr['cf_accounts_organisationtype'] = 'Workplace';
        $orgArr['cf_accounts_schoolcategory'] = $_REQUEST['cf_accounts_schoolcategory'];
        $orgArr['description'] = $_REQUEST['description'];
        $orgArr['cf_accounts_yearswithtrp'] = '2022';
        $orgArr['assigned_user_id'] = '19x1';

        $orgArr['cf_accounts_confirmationurl'] = $confirm_url;
        $objectOrgJson = json_encode($orgArr);
        $orgParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectOrgJson,
            "elementType" => 'Accounts',
        );
        $dataOrg = $vtod->curlPost($vtconfig_url . "webservice.php", $orgParams);
        $resultOrg = json_decode($dataOrg);
        if ($resultOrg->result->id) {
            if($_REQUEST['Contacts_##_email']) {
                $query_contact = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['Contacts_##_email']);
                $res_contact = $vtod->query($query_contact);
                if(isset($res_contact[0]['id'])) {
                    $contactP = $vtod->retrieve($res_contact[0]['id']);
                    $contactP['cf_contacts_confirmationurlnew'] = $confirm_url;
                    $contactP['firstname'] = $_REQUEST['Contacts_##_firstname'];
                    $contactP['lastname'] = $_REQUEST['Contacts_##_lastname'];
                    $contactP['cf_contacts_customtitle'] = $_REQUEST['Contacts_##_cf_contacts_customtitle'];
                    $contactP['phone'] = $_REQUEST['Contacts_##_phone'];
                    $contactP['cf_contacts_confirmationform'] = 'Workplace';
                    $contactP['cf_contacts_confirmationyear'] = date('Y');
                    $contactP['cf_contacts_confirmationstatus'] = 'Active';
                    $contactP['cf_contacts_tags'] = 'Year of Initial Enquiry 2023';
                    $contactP['account_id'] = $resultOrg->result->id;
//                    $contactP['cf_contacts_address'] = $_REQUEST['cf_accounts_address'];
//                    $contactP['cf_contacts_city'] = $_REQUEST['cf_accounts_city'];
//                    $contactP['cf_contacts_statenew'] = $_REQUEST['cf_accounts_state'];
//                    $contactP['cf_contacts_zipcode'] = $_REQUEST['cf_accounts_zipcode'];
                    $contactJson = json_encode($contactP);
                    $contactParams = array(
                        "sessionName" => $vtod->sessionId,
                        "operation" => 'update',
                        "element" => $contactJson
                    );
                    $dataContactP = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
                } else {
                    #create new Contact
                    $contactArr = [];
                    $contactArr['firstname'] = $_REQUEST['Contacts_##_firstname'];
                    $contactArr['lastname'] = $_REQUEST['Contacts_##_lastname'];
                    $contactArr['cf_contacts_customtitle'] = $_REQUEST['Contacts_##_cf_contacts_customtitle'];
                    $contactArr['email'] = $_REQUEST['Contacts_##_email'];
                    $contactArr['phone'] = $_REQUEST['Contacts_##_phone'];
                    $contactArr['account_id'] = $resultOrg->result->id;
                    $contactArr['cf_contacts_address'] = $_REQUEST['cf_accounts_address'];
                    $contactArr['cf_contacts_city'] = $_REQUEST['cf_accounts_city'];
                    $contactArr['cf_contacts_statenew'] = $_REQUEST['cf_accounts_state'];
                    $contactArr['cf_contacts_zipcode'] = $_REQUEST['cf_accounts_zipcode'];
                    $contactArr['contacttype'] = 'Lead';
                    $contactArr['assigned_user_id'] = '19x1';
                    $contactArr['cf_contacts_confirmationurlnew'] = $confirm_url;
                    $contactArr['cf_contacts_type'] = 'Primary';
                    $contactArr['description'] = $_REQUEST['description'];
                    $contactArr['cf_contacts_confirmationform'] = 'Workplace';
                    $contactArr['cf_contacts_confirmationyear'] = date('Y');
                    $contactArr['cf_contacts_tags'] = 'Year of Initial Enquiry 2023';
                    $objectContactJson = json_encode($contactArr);
                    $contactParams = array(
                        "sessionName" => $vtod->sessionId,
                        "operation" => 'create',
                        "element" => $objectContactJson,
                        "elementType" => 'Contacts',
                    );
                    $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
                    $resultContact = json_decode($dataContact);
                    if ($resultContact->result->id) {
                        echo json_encode(array('success'=>true));
                        exit;
                    } else {
                        echo json_encode(array('success'=>false,'message'=>$resultContact->error->message));
                        exit;
                    }
                }
            }
        } else {
            echo json_encode(array('success'=>false,'message'=>$resultOrg->error->message));
            exit;
        }
    }
}
echo json_encode(array('success'=>true));
exit;