<?php
chdir(dirname(__FILE__));
require "../init.php";
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE) );/**/

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$quoteObject = $vtod->retrieve("13x42478");
$quoteArr = (array)$quoteObject;
$quoteArr['f_hdnSubTotal'] = $quoteArr['LineItems_FinalDetails']['1']['final_details']['hdnSubTotal'];
$quoteArr['f_discount_percentage_final'] = $quoteArr['LineItems_FinalDetails']['1']['final_details']['discount_percentage_final'];
$quoteArr['f_discountTotal_final'] = $quoteArr['LineItems_FinalDetails']['1']['final_details']['discountTotal_final'];
$quoteArr['f_totalAfterDiscount'] = $quoteArr['LineItems_FinalDetails']['1']['final_details']['totalAfterDiscount'];
$quoteArr['f_tax_totalamount'] = $quoteArr['LineItems_FinalDetails']['1']['final_details']['tax_totalamount'];
$quoteArr['f_org_name'] = $_REQUEST['org_name'];
$userRecord = $vtod->retrieve('19x1');
$quoteArr['f_first_name'] = '';
$quoteArr['f_last_name'] = '';
if($userRecord['first_name']) $quoteArr['f_first_name'] = $userRecord['first_name'];
if($userRecord['last_name']) $quoteArr['f_last_name'] = $userRecord['last_name'];
if(count($quoteArr['LineItems_FinalDetails']['1']['final_details']['taxes'])>0) {
    $tax_amount = 0;
    foreach($quoteArr['LineItems_FinalDetails']['1']['final_details']['taxes'] as $k => $v) {
        $tax_amount += (float)$v['percentage'];
    }
    $quoteArr['f_tax_totalpercent'] = $tax_amount;
}
$quoteArr['LineItemContent'] = getLineItemContent($quoteArr['LineItems']);
//echo "<pre>";
//echo 'Quote Arr:';
//print_r($quoteArr);
$from ="postmaster@boruapps.com";
$reply_to = "";
$to_email = array("harryjp@boruapps.com");
$subject = "Quote For Early Years Program";
//$body = get_contents(dirname(__FILE__)."/mail_content.tpl", $quoteArr);
$body = get_contents(dirname(__FILE__) . "/mail_content.tpl", $quoteArr);
echo "<pre>";
print_r($body);
require_once dirname(dirname(__FILE__))."/lib/tcpdf/tcpdf.php";
// create new PDF document
//$pageLayout = array(1300, 1700); //  or array($height, $width)
//$pdf = new TCPDF('p', 'pt', $pageLayout, true, 'UTF-8', false);
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A4', true, 'UTF-8', false);
$pdf->setPrintHeader(false);
$pdf->AddPage();

$html = '<h1>Welcome to <a href="http://techbriefers.com/" style="text-decoration:none;padding: 10px;"> <span style="background-color:#ef3e47;color:#fff;"> Tech</span><span style="background-color:#fff1f0;color:#000;">Briefers</span> </a>!</h1>
<i>This is the two minute example of TCPDF library by <a href="http://techbriefers.com/">techbriefers</a>.</i>
<h2>What is Lorem Ipsum?</h2>
<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>';
$fileName = "Quote".explode("x",$quoteArr['id'])[1];
$filePath = "PDF/".$fileName.".pdf";
$pdf->writeHTMLCell(0, 0, '', '', $body, 0, 1, 0, true, '', true);
//$pdf->writeHTML($body, true, false, true, false, '');
ob_end_clean();
$pdf->Output($filePath, 'F');


//require (dirname(dirname(__FILE__))."/lib/fpdf/pdf.php");
//echo "<pre>";
//print_r($body);
//$pdf = new PDF();
//$pdf->AddPage();
//$pdf->SetFont('Times','',14);
//$pdf->Write(dirname(__FILE__)."/templates/test.tpl");
//$fileName = "Quote".explode("x",$quoteArr['id'])[1];
//$filePath = "PDF/".$fileName.".pdf";
//$pdf->Output($filePath, 'F');
$sendMail = sendMail($from, $reply_to, $to_email, $subject, $body, $filePath, $fileName);

echo "<pre>";
var_dump($sendMail);
exit;
echo json_encode(array('success'=> true));
exit('xxx');

function get_contents($templateName, $variables) {
    $template = file_get_contents($templateName);

    foreach($variables as $key => $value)
    {
        $template = str_replace('{{ '.$key.' }}', $value, $template);
    }
    return  $template;
}

function getLineItemContent($data) {
    $html_content = '';
    foreach($data as $k => $val) {
        $html_content .= '<tr>
			<td style=" background:#fff;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['sequence_no'].'</span></td>
			<td style="text-align:left; border-bottom:2px solid white;border-right:2px solid white;">
			<h3><span style="font-family:verdana,geneva,sans-serif;">'.$val['product_name'].'</span></h3>
			<span style="font-family:verdana,geneva,sans-serif;">'.$val['description'].'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['listprice'].'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['quantity'].'</span></td>
			<td style="border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;"><strong>'.$val['netprice'].'</strong></span></td>
		</tr>';
    }

    return $html_content;
}

?>