<?php
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$contactId = $_REQUEST['id'];
$confirmationform = $_REQUEST['cf_contacts_confirmationform'];
$org_name = '';
$contact_first_name = '';
$contact_last_name = '';
$contact_email = '';
$address = '';
$city = '';
$state = '';
$zip_code = '';
if($contactId && $confirmationform) {
    $contactRecord = $vtod->retrieve($contactId);
    if($contactRecord) {
        if($contactRecord['account_id']) {
            $orgRecord = $vtod->retrieve($contactRecord['account_id']);
            if($orgRecord['accountname']) $org_name = $orgRecord['accountname'];
        }
        if($contactRecord['firstname']) $contact_first_name = $contactRecord['firstname'];
        if($contactRecord['lastname']) $contact_last_name = $contactRecord['lastname'];
        if($contactRecord['email']) $contact_email = $contactRecord['email'];
        if($contactRecord['cf_contacts_address']) $address = $contactRecord['cf_contacts_address'];
        if($contactRecord['cf_contacts_city']) $city = $contactRecord['cf_contacts_city'];
        if($contactRecord['cf_contacts_statenew']) $state = $contactRecord['cf_contacts_statenew'];
        if($contactRecord['cf_contacts_zipcode']) $zip_code = $contactRecord['cf_contacts_zipcode'];
        $url = "";
        if($confirmationform == 'Workplace') {
            $url = "https://forms.theresilienceproject.com.au/workplace-confirmation-form/";
        } else if($confirmationform == 'New School') {
            $url = "https://forms.theresilienceproject.com.au/new-schools-confirmation/";
        } else if($confirmationform == 'Early Years') {
            $url = "https://forms.theresilienceproject.com.au/early-years-program-confirmation/";
        } else if($confirmationform == 'Existing School (F2F/Digital)') {
            $url = "https://forms.theresilienceproject.com.au/existing-school-confirmation-form-new/";
        } else if($confirmationform == 'Existing School (Digital Only)') {
            $url = "https://forms.theresilienceproject.com.au/existing-school-confirmation-form-new-digital/";
        }
        $confirm_url = $url."?org_name=".rawurlencode($org_name)."&contact_first_name=".rawurlencode($contact_first_name)."&contact_last_name=".rawurlencode($contact_last_name)."&contact_email=".$contact_email."&address=".rawurlencode($address)."&city=".rawurlencode($city)."&state=".rawurlencode($state)."&zip_code=".$zip_code;
        $contactRecord['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactJson = json_encode($contactRecord);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $contactJson
        );
        $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
    }
}
exit;