<?php
/**
 * Wordpress webhook to get order from Woocommerce and post it in vtiger
 *
 * taskid: 54815
 * User: rprajapati
 * Date: 20/10/22
 * Time: 12:21 PM
 */


// die("Remove this when push to prod.");
//Remove above die when need to run webhook


header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

chdir(dirname(__FILE__));
require_once "../init.php";

//========Debugging=============
error_reporting(0);
//ini_set('display_errors', 'on');
//error_reporting(E_ALL); // STRICT DEVELOPMENT
//echo "<pre>";

$vtod = init_vtod();
global $dbh;

putlogwebhook("========== START ==========");

$postData = array (
    'id' => 688,
    'parent_id' => 0,
    'status' => 'processing',
    'currency' => 'AUD',
    'version' => '7.5.1',
    'prices_include_tax' => NULL,
    'date_created' => '2023-05-08T10:42:35',
    'date_modified' => '2023-05-08T14:56:25',
    'discount_total' => '0.00',
    'discount_tax' => '0.00',
    'shipping_total' => '0.00',
    'shipping_tax' => '0.00',
    'cart_tax' => '197.20',
    'total' => '2169.20',
    'total_tax' => '197.20',
    'customer_id' => 0,
    'order_key' => 'wc_order_vVWttL5UaC74Q',
    'billing' =>
    array (
        'first_name' => 'Navneet',
        'last_name' => 'Kaur',
        'company' => 'Nido Early School Wyndham Vale',
        'address_1' => '9 Welcome Parade',
        'address_2' => NULL,
        'city' => 'Wyndhamvale',
        'state' => 'VIC',
        'postcode' => 3024,
        'country' => 'AU',
        'email' => 'esm.wyndhamvale@nido.edu.au',
        'phone' => '0370199398',
    ),
    'shipping' =>
    array (
        'first_name' => 'Navneet',
        'last_name' => 'Kaur',
        'company' => 'Nido Early School Wyndham Vale',
        'address_1' => '9 Welcome Parade',
        'address_2' => NULL,
        'city' => 'Wyndhamvale',
        'state' => 'VIC',
        'postcode' => 3024,
        'country' => 'AU',
        'phone' => NULL,
    ),
    'payment_method' => 'bacs',
    'payment_method_title' => 'EFT Acc Name: The Resilience Project Pty Ltd BSB: 013-006 Account: 836759703 Ref: Invoice/Order No',
    'transaction_id' => NULL,
    'customer_ip_address' => '115.187.186.203',
    'customer_user_agent' => 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/112.0.0.0 Safari/537.36',
    'created_via' => 'checkout',
    'customer_note' => NULL,
    'date_completed' => NULL,
    'date_paid' => '2023-05-08T10:42:35',
    'cart_hash' => '76ae75ac8197afb3809703ec6a52fad7',
    'number' => 688,
    'meta_data' =>
    array (
        0 =>
        array (
            'id' => 23215,
            'key' => 'is_vat_exempt',
            'value' => 'no',
        ),
        1 =>
        array (
            'id' => 23216,
            'key' => 'early_years_centre_other',
            'value' => 'Nido Early School WyndhamVale',
        ),
        2 =>
        array (
            'id' => 23219,
            'key' => '_wcpdf_invoice_settings',
            'value' =>
            array (
                'title' =>
                array (
                    'default' => 'Tax invoice',
                ),
                'filename' =>
                array (
                    'default' => NULL,
                ),
                'number_title' =>
                array (
                    'default' => NULL,
                ),
                'date_title' =>
                array (
                    'default' => NULL,
                ),
                'disable_for_require' => 'one',
                'display_shipping_address' => NULL,
                'display_email' => 1,
                'display_phone' => 1,
                'display_customer_notes' => 1,
                'display_number' => 'order_number',
                'header_logo' => 319,
                'header_logo_height' => NULL,
                'shop_name' =>
                array (
                    'default' => 'THE RESILIENCE PROJECT PTY LTD',
                ),
                'shop_address' =>
                array (
                    'default' => NULL,
                ),
                'footer' =>
                array (
                    'default' => NULL,
                ),
                'extra_1' =>
                array (
                    'default' => NULL,
                ),
                'extra_2' =>
                array (
                    'default' => NULL,
                ),
                'extra_3' =>
                array (
                    'default' => NULL,
                ),
            ),
        ),
        3 =>
        array (
            'id' => 23220,
            'key' => '_wcpdf_packing_slip_date',
            'value' => 1683506555,
        ),
        4 =>
        array (
            'id' => 23221,
            'key' => '_wcpdf_packing_slip_date_formatted',
            'value' => '2023-05-08 10:42:35',
        ),
        5 =>
        array (
            'id' => 23222,
            'key' => '_wcpdf_packing_slip_number',
            'value' => 296,
        ),
        6 =>
        array (
            'id' => 23223,
            'key' => '_wcpdf_packing_slip_number_data',
            'value' =>
            array (
                'number' => 296,
                'formatted_number' => 296,
                'prefix' => NULL,
                'suffix' => NULL,
                'document_type' => 'packing-slip',
                'order_id' => 688,
                'padding' => NULL,
            ),
        ),
        7 =>
        array (
            'id' => 23224,
            'key' => '_thankyou_action_done',
            'value' => 1,
        ),
        8 =>
        array (
            'id' => 23225,
            'key' => '_wcpdf_invoice_date',
            'value' => 1683506678,
        ),
        9 =>
        array (
            'id' => 23226,
            'key' => '_wcpdf_invoice_date_formatted',
            'value' => '2023-05-08 10:44:38',
        ),
        10 =>
        array (
            'id' => 23227,
            'key' => '_wcpdf_invoice_number',
            'value' => 'EYP-688',
        ),
        11 =>
        array (
            'id' => 23228,
            'key' => '_wcpdf_invoice_number_data',
            'value' =>
            array (
                'number' => 688,
                'formatted_number' => 'EYP-688',
                'prefix' => 'EYP-',
                'suffix' => NULL,
                'document_type' => 'invoice',
                'order_id' => 688,
                'padding' => NULL,
            ),
        ),
        12 =>
        array (
            'id' => 23229,
            'key' => '_shipstation_exported',
            'value' => 'yes',
        ),
    ),
    'line_items' =>
    array (
        0 =>
        array (
            'id' => 3609,
            'name' => 'Engage: Early Years Teaching and Learning Program',
            'product_id' => 58,
            'variation_id' => 0,
            'quantity' => 1,
            'tax_class' => NULL,
            'subtotal' => '0.00',
            'subtotal_tax' => '0.00',
            'total' => '0.00',
            'total_tax' => '0.00',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => 0,
                    'subtotal' => 0,
                ),
            ),
            'meta_data' =>
            array (
                0 =>
                array (
                    'id' => 34754,
                    'key' => '_mnm_container_size',
                    'value' => 38,
                    'display_key' => 'Container size',
                    'display_value' => 38,
                ),
                1 =>
                array (
                    'id' => 34755,
                    'key' => '_mnm_config',
                    'value' =>
                    array (
                        38 =>
                        array (
                            'child_item_id' => 15,
                            'mnm_child_id' => 38,
                            'product_id' => 38,
                            'variation_id' => 0,
                            'quantity' => 16,
                            'variation' =>
                            array (
                            ),
                        ),
                        42 =>
                        array (
                            'child_item_id' => 29,
                            'mnm_child_id' => 42,
                            'product_id' => 42,
                            'variation_id' => 0,
                            'quantity' => 22,
                            'variation' =>
                            array (
                            ),
                        ),
                    ),
                    'display_key' => '_mnm_config',
                    'display_value' =>
                    array (
                        38 =>
                        array (
                            'child_item_id' => 15,
                            'mnm_child_id' => 38,
                            'product_id' => 38,
                            'variation_id' => 0,
                            'quantity' => 16,
                            'variation' =>
                            array (
                            ),
                        ),
                        42 =>
                        array (
                            'child_item_id' => 29,
                            'mnm_child_id' => 42,
                            'product_id' => 42,
                            'variation_id' => 0,
                            'quantity' => 22,
                            'variation' =>
                            array (
                            ),
                        ),
                    ),
                ),
                2 =>
                array (
                    'id' => 34756,
                    'key' => '_mnm_cart_key',
                    'value' => '8ed26c2895eba876c92454b8ce1cbc11',
                    'display_key' => '_mnm_cart_key',
                    'display_value' => '8ed26c2895eba876c92454b8ce1cbc11',
                ),
                3 =>
                array (
                    'id' => 34757,
                    'key' => '_per_product_pricing',
                    'value' => 'yes',
                    'display_key' => '_per_product_pricing',
                    'display_value' => 'yes',
                ),
                4 =>
                array (
                    'id' => 34758,
                    'key' => '_bundle_weight',
                    'value' => NULL,
                    'display_key' => '_bundle_weight',
                    'display_value' => NULL,
                ),
                5 =>
                array (
                    'id' => 34802,
                    'key' => '_wcpdf_regular_price',
                    'value' =>
                    array (
                        'incl' => 0,
                        'excl' => 0,
                    ),
                    'display_key' => '_wcpdf_regular_price',
                    'display_value' =>
                    array (
                        'incl' => 0,
                        'excl' => 0,
                    ),
                ),
            ),
            'sku' => 'S22-101',
            'price' => 0,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => NULL,
            'mnm_child_items' =>
            array (
                0 => 3610,
                1 => 3611,
            ),
        ),
        1 =>
        array (
            'id' => 3610,
            'name' => 'Group 1',
            'product_id' => 38,
            'variation_id' => 0,
            'quantity' => 16,
            'tax_class' => NULL,
            'subtotal' => '304.00',
            'subtotal_tax' => '30.40',
            'total' => '304.00',
            'total_tax' => '30.40',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => 30.4,
                    'subtotal' => 30.4,
                ),
            ),
            'meta_data' =>
            array (
                0 =>
                array (
                    'id' => 34768,
                    'key' => '_mnm_container',
                    'value' => '8ed26c2895eba876c92454b8ce1cbc11',
                    'display_key' => '_mnm_container',
                    'display_value' => '8ed26c2895eba876c92454b8ce1cbc11',
                ),
                1 =>
                array (
                    'id' => 34769,
                    'key' => '_mnm_item_needs_shipping',
                    'value' => 'no',
                    'display_key' => '_mnm_item_needs_shipping',
                    'display_value' => 'no',
                ),
                2 =>
                array (
                    'id' => 34803,
                    'key' => '_wcpdf_regular_price',
                    'value' =>
                    array (
                        'incl' => 20.9,
                        'excl' => 19,
                    ),
                    'display_key' => '_wcpdf_regular_price',
                    'display_value' =>
                    array (
                        'incl' => 20.9,
                        'excl' => 19,
                    ),
                ),
            ),
            'sku' => NULL,
            'price' => 19,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => 3609,
            'mnm_child_items' =>
            array (
            ),
        ),
        2 =>
        array (
            'id' => 3611,
            'name' => 'Group 2',
            'product_id' => 42,
            'variation_id' => 0,
            'quantity' => 22,
            'tax_class' => NULL,
            'subtotal' => '418.00',
            'subtotal_tax' => '41.80',
            'total' => '418.00',
            'total_tax' => '41.80',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => 41.8,
                    'subtotal' => 41.8,
                ),
            ),
            'meta_data' =>
            array (
                0 =>
                array (
                    'id' => 34779,
                    'key' => '_mnm_container',
                    'value' => '8ed26c2895eba876c92454b8ce1cbc11',
                    'display_key' => '_mnm_container',
                    'display_value' => '8ed26c2895eba876c92454b8ce1cbc11',
                ),
                1 =>
                array (
                    'id' => 34780,
                    'key' => '_mnm_item_needs_shipping',
                    'value' => 'no',
                    'display_key' => '_mnm_item_needs_shipping',
                    'display_value' => 'no',
                ),
                2 =>
                array (
                    'id' => 34804,
                    'key' => '_wcpdf_regular_price',
                    'value' =>
                    array (
                        'incl' => 20.9,
                        'excl' => 19,
                    ),
                    'display_key' => '_wcpdf_regular_price',
                    'display_value' =>
                    array (
                        'incl' => 20.9,
                        'excl' => 19,
                    ),
                ),
            ),
            'sku' => NULL,
            'price' => 19,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => 3609,
            'mnm_child_items' =>
            array (
            ),
        ),
        3 =>
        array (
            'id' => 3612,
            'name' => 'Inspire: Early Years Digital Presentations',
            'product_id' => 12,
            'variation_id' => 0,
            'quantity' => 1,
            'tax_class' => NULL,
            'subtotal' => '1250.00',
            'subtotal_tax' => '125.00',
            'total' => '1250.00',
            'total_tax' => '125.00',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => 125,
                    'subtotal' => 125,
                ),
            ),
            'meta_data' =>
            array (
                0 =>
                array (
                    'id' => 34805,
                    'key' => '_wcpdf_regular_price',
                    'value' =>
                    array (
                        'incl' => 1375,
                        'excl' => 1250,
                    ),
                    'display_key' => '_wcpdf_regular_price',
                    'display_value' =>
                    array (
                        'incl' => 1375,
                        'excl' => 1250,
                    ),
                ),
            ),
            'sku' => 'P-00190',
            'price' => 1250,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => NULL,
            'mnm_child_items' =>
            array (
            ),
        ),
        4 =>
        array (
            'id' => 3615,
            'name' => 'Early Years Educator Resource',
            'product_id' => 195,
            'variation_id' => 0,
            'quantity' => 1,
            'tax_class' => NULL,
            'subtotal' => '0.00',
            'subtotal_tax' => '0.00',
            'total' => '0.00',
            'total_tax' => '0.00',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => NULL,
                    'subtotal' => NULL,
                ),
            ),
            'meta_data' =>
            array (
            ),
            'sku' => 'PD-155',
            'price' => 0,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => NULL,
            'mnm_child_items' =>
            array (
            ),
        ),
        5 =>
        array (
            'id' => 3616,
            'name' => 'Early Years Teaching TRP to Succeed',
            'product_id' => 366,
            'variation_id' => 0,
            'quantity' => 1,
            'tax_class' => NULL,
            'subtotal' => '0.00',
            'subtotal_tax' => '0.00',
            'total' => '0.00',
            'total_tax' => '0.00',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => NULL,
                    'subtotal' => NULL,
                ),
            ),
            'meta_data' =>
            array (
            ),
            'sku' => 'PD-156',
            'price' => 0,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => NULL,
            'mnm_child_items' =>
            array (
            ),
        ),
        6 =>
        array (
            'id' => 3617,
            'name' => 'Cozy Koala Soft Toy and Bag',
            'product_id' => 196,
            'variation_id' => 0,
            'quantity' => 2,
            'tax_class' => NULL,
            'subtotal' => '0.00',
            'subtotal_tax' => '0.00',
            'total' => '0.00',
            'total_tax' => '0.00',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => NULL,
                    'subtotal' => NULL,
                ),
            ),
            'meta_data' =>
            array (
            ),
            'sku' => 'K-0100',
            'price' => 0,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => NULL,
            'mnm_child_items' =>
            array (
            ),
        ),
        7 =>
        array (
            'id' => 3618,
            'name' => 'GEM Adventures Journal',
            'product_id' => 197,
            'variation_id' => 0,
            'quantity' => 2,
            'tax_class' => NULL,
            'subtotal' => '0.00',
            'subtotal_tax' => '0.00',
            'total' => '0.00',
            'total_tax' => '0.00',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => NULL,
                    'subtotal' => NULL,
                ),
            ),
            'meta_data' =>
            array (
            ),
            'sku' => 'PD-201',
            'price' => 0,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => NULL,
            'mnm_child_items' =>
            array (
            ),
        ),
        8 =>
        array (
            'id' => 3619,
            'name' => 'Early Years Childrenâ€™s Journal',
            'product_id' => 198,
            'variation_id' => 0,
            'quantity' => 38,
            'tax_class' => NULL,
            'subtotal' => '0.00',
            'subtotal_tax' => '0.00',
            'total' => '0.00',
            'total_tax' => '0.00',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => NULL,
                    'subtotal' => NULL,
                ),
            ),
            'meta_data' =>
            array (
            ),
            'sku' => 'PD-200',
            'price' => 0,
            'image' =>
            array (
                'id' => NULL,
                'src' => NULL,
            ),
            'parent_name' => NULL,
            'mnm_child_of' => NULL,
            'mnm_child_items' =>
            array (
            ),
        ),
    ),
    'tax_lines' =>
    array (
        0 =>
        array (
            'id' => 3614,
            'rate_code' => 'AU-GST-1',
            'rate_id' => 1,
            'label' => 'GST',
            'compound' => NULL,
            'tax_total' => '197.20',
            'shipping_tax_total' => '0.00',
            'rate_percent' => 10,
            'meta_data' =>
            array (
            ),
        ),
    ),
    'shipping_lines' =>
    array (
        0 =>
        array (
            'id' => 3613,
            'method_title' => 'Free shipping',
            'method_id' => 'free_shipping',
            'instance_id' => 2,
            'total' => '0.00',
            'total_tax' => '0.00',
            'taxes' =>
            array (
                0 =>
                array (
                    'id' => 1,
                    'total' => NULL,
                    'subtotal' => NULL,
                ),
            ),
            'meta_data' =>
            array (
                0 =>
                array (
                    'id' => 34795,
                    'key' => 'Items',
                    'value' => 'Engage: Early Years Teaching and Learning Program &times; 1, Inspire: Early Years Digital Presentations &times; 1',
                    'display_key' => 'Items',
                    'display_value' => 'Engage: Early Years Teaching and Learning Program &times; 1, Inspire: Early Years Digital Presentations &times; 1',
                ),
            ),
        ),
    ),
    'fee_lines' =>
    array (
    ),
    'coupon_lines' =>
    array (
    ),
    'refunds' =>
    array (
    ),
    'payment_url' => 'https://curriculum.theresilienceproject.com.au/checkout/order-pay/688/?pay_for_order=true&key=wc_order_vVWttL5UaC74Q',
    'is_editable' => NULL,
    'needs_payment' => NULL,
    'needs_processing' => 1,
    'date_created_gmt' => '2023-05-08T00:42:35',
    'date_modified_gmt' => '2023-05-08T04:56:25',
    'date_completed_gmt' => NULL,
    'date_paid_gmt' => '2023-05-08T00:42:35',
    'currency_symbol' => '$',
    '_links' =>
    array (
        'self' =>
        array (
            0 =>
            array (
                'href' => 'https://early-years.theresilienceproject.com.au/wp-json/wc/v3/orders/688',
            ),
        ),
        'collection' =>
        array (
            0 =>
            array (
                'href' => 'https://early-years.theresilienceproject.com.au/wp-json/wc/v3/orders',
            ),
        ),
    ),
);
$schoolName = '';
$lineItems = [];

putlogwebhook("New order to process, process data:");
putlogwebhook($postData);

/*( 
 * Array
(
    [id] => 688
    [parent_id] => 0
    [status] => processing
    [currency] => AUD
    [version] => 7.5.1
    [prices_include_tax] => 
    [date_created] => 2023-05-08T10:42:35
    [date_modified] => 2023-05-08T14:56:25
    [discount_total] => 0.00
    [discount_tax] => 0.00
    [shipping_total] => 0.00
    [shipping_tax] => 0.00
    [cart_tax] => 197.20
    [total] => 2169.20
    [total_tax] => 197.20
    [customer_id] => 0
    [order_key] => wc_order_vVWttL5UaC74Q
    [billing] => Array
        (
            [first_name] => Navneet
            [last_name] => Kaur
            [company] => Nido Early School Wyndham Vale
            [address_1] => 9 Welcome Parade
            [address_2] => 
            [city] => Wyndhamvale
            [state] => VIC
            [postcode] => 3024
            [country] => AU
            [email] => esm.wyndhamvale@nido.edu.au
            [phone] => 0370199398
        )

    [shipping] => Array
        (
            [first_name] => Navneet
            [last_name] => Kaur
            [company] => Nido Early School Wyndham Vale
            [address_1] => 9 Welcome Parade
            [address_2] => 
            [city] => Wyndhamvale
            [state] => VIC
            [postcode] => 3024
            [country] => AU
            [phone] => 
        )

    [payment_method] => bacs
    [payment_method_title] => EFT Acc Name: The Resilience Project Pty Ltd BSB: 013-006 Account: 836759703 Ref: Invoice/Order No
    [transaction_id] => 
    [customer_ip_address] => 115.187.186.203
    [customer_user_agent] => Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/112.0.0.0 Safari/537.36
    [created_via] => checkout
    [customer_note] => 
    [date_completed] => 
    [date_paid] => 2023-05-08T10:42:35
    [cart_hash] => 76ae75ac8197afb3809703ec6a52fad7
    [number] => 688
    [meta_data] => Array
        (
            [0] => Array
                (
                    [id] => 23215
                    [key] => is_vat_exempt
                    [value] => no
                )

            [1] => Array
                (
                    [id] => 23216
                    [key] => early_years_centre_other
                    [value] => Nido Early School WyndhamVale
                )

            [2] => Array
                (
                    [id] => 23219
                    [key] => _wcpdf_invoice_settings
                    [value] => Array
                        (
                            [title] => Array
                                (
                                    [default] => Tax invoice
                                )

                            [filename] => Array
                                (
                                    [default] => 
                                )

                            [number_title] => Array
                                (
                                    [default] => 
                                )

                            [date_title] => Array
                                (
                                    [default] => 
                                )

                            [disable_for_require] => one
                            [display_shipping_address] => 
                            [display_email] => 1
                            [display_phone] => 1
                            [display_customer_notes] => 1
                            [display_number] => order_number
                            [header_logo] => 319
                            [header_logo_height] => 
                            [shop_name] => Array
                                (
                                    [default] => THE RESILIENCE PROJECT PTY LTD
                                )

                            [shop_address] => Array
                                (
                                    [default] =>  
                                )

                            [footer] => Array
                                (
                                    [default] =>  
                                )

                            [extra_1] => Array
                                (
                                    [default] => 
                                )

                            [extra_2] => Array
                                (
                                    [default] => 
                                )

                            [extra_3] => Array
                                (
                                    [default] => 
                                )

                        )

                )

            [3] => Array
                (
                    [id] => 23220
                    [key] => _wcpdf_packing_slip_date
                    [value] => 1683506555
                )

            [4] => Array
                (
                    [id] => 23221
                    [key] => _wcpdf_packing_slip_date_formatted
                    [value] => 2023-05-08 10:42:35
                )

            [5] => Array
                (
                    [id] => 23222
                    [key] => _wcpdf_packing_slip_number
                    [value] => 296
                )

            [6] => Array
                (
                    [id] => 23223
                    [key] => _wcpdf_packing_slip_number_data
                    [value] => Array
                        (
                            [number] => 296
                            [formatted_number] => 296
                            [prefix] => 
                            [suffix] => 
                            [document_type] => packing-slip
                            [order_id] => 688
                            [padding] => 
                        )

                )

            [7] => Array
                (
                    [id] => 23224
                    [key] => _thankyou_action_done
                    [value] => 1
                )

            [8] => Array
                (
                    [id] => 23225
                    [key] => _wcpdf_invoice_date
                    [value] => 1683506678
                )

            [9] => Array
                (
                    [id] => 23226
                    [key] => _wcpdf_invoice_date_formatted
                    [value] => 2023-05-08 10:44:38
                )

            [10] => Array
                (
                    [id] => 23227
                    [key] => _wcpdf_invoice_number
                    [value] => EYP-688
                )

            [11] => Array
                (
                    [id] => 23228
                    [key] => _wcpdf_invoice_number_data
                    [value] => Array
                        (
                            [number] => 688
                            [formatted_number] => EYP-688
                            [prefix] => EYP-
                            [suffix] => 
                            [document_type] => invoice
                            [order_id] => 688
                            [padding] => 
                        )

                )

            [12] => Array
                (
                    [id] => 23229
                    [key] => _shipstation_exported
                    [value] => yes
                )

        )

    [line_items] => Array
        (
            [0] => Array
                (
                    [id] => 3609
                    [name] => Engage: Early Years Teaching and Learning Program
                    [product_id] => 58
                    [variation_id] => 0
                    [quantity] => 1
                    [tax_class] => 
                    [subtotal] => 0.00
                    [subtotal_tax] => 0.00
                    [total] => 0.00
                    [total_tax] => 0.00
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 0
                                    [subtotal] => 0
                                )

                        )

                    [meta_data] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 34754
                                    [key] => _mnm_container_size
                                    [value] => 38
                                    [display_key] => Container size
                                    [display_value] => 38
                                )

                            [1] => Array
                                (
                                    [id] => 34755
                                    [key] => _mnm_config
                                    [value] => Array
                                        (
                                            [38] => Array
                                                (
                                                    [child_item_id] => 15
                                                    [mnm_child_id] => 38
                                                    [product_id] => 38
                                                    [variation_id] => 0
                                                    [quantity] => 16
                                                    [variation] => Array
                                                        (
                                                        )

                                                )

                                            [42] => Array
                                                (
                                                    [child_item_id] => 29
                                                    [mnm_child_id] => 42
                                                    [product_id] => 42
                                                    [variation_id] => 0
                                                    [quantity] => 22
                                                    [variation] => Array
                                                        (
                                                        )

                                                )

                                        )

                                    [display_key] => _mnm_config
                                    [display_value] => Array
                                        (
                                            [38] => Array
                                                (
                                                    [child_item_id] => 15
                                                    [mnm_child_id] => 38
                                                    [product_id] => 38
                                                    [variation_id] => 0
                                                    [quantity] => 16
                                                    [variation] => Array
                                                        (
                                                        )

                                                )

                                            [42] => Array
                                                (
                                                    [child_item_id] => 29
                                                    [mnm_child_id] => 42
                                                    [product_id] => 42
                                                    [variation_id] => 0
                                                    [quantity] => 22
                                                    [variation] => Array
                                                        (
                                                        )

                                                )

                                        )

                                )

                            [2] => Array
                                (
                                    [id] => 34756
                                    [key] => _mnm_cart_key
                                    [value] => 8ed26c2895eba876c92454b8ce1cbc11
                                    [display_key] => _mnm_cart_key
                                    [display_value] => 8ed26c2895eba876c92454b8ce1cbc11
                                )

                            [3] => Array
                                (
                                    [id] => 34757
                                    [key] => _per_product_pricing
                                    [value] => yes
                                    [display_key] => _per_product_pricing
                                    [display_value] => yes
                                )

                            [4] => Array
                                (
                                    [id] => 34758
                                    [key] => _bundle_weight
                                    [value] => 
                                    [display_key] => _bundle_weight
                                    [display_value] => 
                                )

                            [5] => Array
                                (
                                    [id] => 34802
                                    [key] => _wcpdf_regular_price
                                    [value] => Array
                                        (
                                            [incl] => 0
                                            [excl] => 0
                                        )

                                    [display_key] => _wcpdf_regular_price
                                    [display_value] => Array
                                        (
                                            [incl] => 0
                                            [excl] => 0
                                        )

                                )

                        )

                    [sku] => S22-101
                    [price] => 0
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 
                    [mnm_child_items] => Array
                        (
                            [0] => 3610
                            [1] => 3611
                        )

                )

            [1] => Array
                (
                    [id] => 3610
                    [name] => Group 1
                    [product_id] => 38
                    [variation_id] => 0
                    [quantity] => 16
                    [tax_class] => 
                    [subtotal] => 304.00
                    [subtotal_tax] => 30.40
                    [total] => 304.00
                    [total_tax] => 30.40
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 30.4
                                    [subtotal] => 30.4
                                )

                        )

                    [meta_data] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 34768
                                    [key] => _mnm_container
                                    [value] => 8ed26c2895eba876c92454b8ce1cbc11
                                    [display_key] => _mnm_container
                                    [display_value] => 8ed26c2895eba876c92454b8ce1cbc11
                                )

                            [1] => Array
                                (
                                    [id] => 34769
                                    [key] => _mnm_item_needs_shipping
                                    [value] => no
                                    [display_key] => _mnm_item_needs_shipping
                                    [display_value] => no
                                )

                            [2] => Array
                                (
                                    [id] => 34803
                                    [key] => _wcpdf_regular_price
                                    [value] => Array
                                        (
                                            [incl] => 20.9
                                            [excl] => 19
                                        )

                                    [display_key] => _wcpdf_regular_price
                                    [display_value] => Array
                                        (
                                            [incl] => 20.9
                                            [excl] => 19
                                        )

                                )

                        )

                    [sku] => 
                    [price] => 19
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 3609
                    [mnm_child_items] => Array
                        (
                        )

                )

            [2] => Array
                (
                    [id] => 3611
                    [name] => Group 2
                    [product_id] => 42
                    [variation_id] => 0
                    [quantity] => 22
                    [tax_class] => 
                    [subtotal] => 418.00
                    [subtotal_tax] => 41.80
                    [total] => 418.00
                    [total_tax] => 41.80
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 41.8
                                    [subtotal] => 41.8
                                )

                        )

                    [meta_data] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 34779
                                    [key] => _mnm_container
                                    [value] => 8ed26c2895eba876c92454b8ce1cbc11
                                    [display_key] => _mnm_container
                                    [display_value] => 8ed26c2895eba876c92454b8ce1cbc11
                                )

                            [1] => Array
                                (
                                    [id] => 34780
                                    [key] => _mnm_item_needs_shipping
                                    [value] => no
                                    [display_key] => _mnm_item_needs_shipping
                                    [display_value] => no
                                )

                            [2] => Array
                                (
                                    [id] => 34804
                                    [key] => _wcpdf_regular_price
                                    [value] => Array
                                        (
                                            [incl] => 20.9
                                            [excl] => 19
                                        )

                                    [display_key] => _wcpdf_regular_price
                                    [display_value] => Array
                                        (
                                            [incl] => 20.9
                                            [excl] => 19
                                        )

                                )

                        )

                    [sku] => 
                    [price] => 19
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 3609
                    [mnm_child_items] => Array
                        (
                        )

                )

            [3] => Array
                (
                    [id] => 3612
                    [name] => Inspire: Early Years Digital Presentations
                    [product_id] => 12
                    [variation_id] => 0
                    [quantity] => 1
                    [tax_class] => 
                    [subtotal] => 1250.00
                    [subtotal_tax] => 125.00
                    [total] => 1250.00
                    [total_tax] => 125.00
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 125
                                    [subtotal] => 125
                                )

                        )

                    [meta_data] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 34805
                                    [key] => _wcpdf_regular_price
                                    [value] => Array
                                        (
                                            [incl] => 1375
                                            [excl] => 1250
                                        )

                                    [display_key] => _wcpdf_regular_price
                                    [display_value] => Array
                                        (
                                            [incl] => 1375
                                            [excl] => 1250
                                        )

                                )

                        )

                    [sku] => P-00190
                    [price] => 1250
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 
                    [mnm_child_items] => Array
                        (
                        )

                )

            [4] => Array
                (
                    [id] => 3615
                    [name] => Early Years Educator Resource
                    [product_id] => 195
                    [variation_id] => 0
                    [quantity] => 1
                    [tax_class] => 
                    [subtotal] => 0.00
                    [subtotal_tax] => 0.00
                    [total] => 0.00
                    [total_tax] => 0.00
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 
                                    [subtotal] => 
                                )

                        )

                    [meta_data] => Array
                        (
                        )

                    [sku] => PD-155
                    [price] => 0
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 
                    [mnm_child_items] => Array
                        (
                        )

                )

            [5] => Array
                (
                    [id] => 3616
                    [name] => Early Years Teaching TRP to Succeed
                    [product_id] => 366
                    [variation_id] => 0
                    [quantity] => 1
                    [tax_class] => 
                    [subtotal] => 0.00
                    [subtotal_tax] => 0.00
                    [total] => 0.00
                    [total_tax] => 0.00
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 
                                    [subtotal] => 
                                )

                        )

                    [meta_data] => Array
                        (
                        )

                    [sku] => PD-156
                    [price] => 0
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 
                    [mnm_child_items] => Array
                        (
                        )

                )

            [6] => Array
                (
                    [id] => 3617
                    [name] => Cozy Koala Soft Toy and Bag
                    [product_id] => 196
                    [variation_id] => 0
                    [quantity] => 2
                    [tax_class] => 
                    [subtotal] => 0.00
                    [subtotal_tax] => 0.00
                    [total] => 0.00
                    [total_tax] => 0.00
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 
                                    [subtotal] => 
                                )

                        )

                    [meta_data] => Array
                        (
                        )

                    [sku] => K-0100
                    [price] => 0
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 
                    [mnm_child_items] => Array
                        (
                        )

                )

            [7] => Array
                (
                    [id] => 3618
                    [name] => GEM Adventures Journal
                    [product_id] => 197
                    [variation_id] => 0
                    [quantity] => 2
                    [tax_class] => 
                    [subtotal] => 0.00
                    [subtotal_tax] => 0.00
                    [total] => 0.00
                    [total_tax] => 0.00
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 
                                    [subtotal] => 
                                )

                        )

                    [meta_data] => Array
                        (
                        )

                    [sku] => PD-201
                    [price] => 0
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 
                    [mnm_child_items] => Array
                        (
                        )

                )

            [8] => Array
                (
                    [id] => 3619
                    [name] => Early Years Childrenâ€™s Journal
                    [product_id] => 198
                    [variation_id] => 0
                    [quantity] => 38
                    [tax_class] => 
                    [subtotal] => 0.00
                    [subtotal_tax] => 0.00
                    [total] => 0.00
                    [total_tax] => 0.00
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 
                                    [subtotal] => 
                                )

                        )

                    [meta_data] => Array
                        (
                        )

                    [sku] => PD-200
                    [price] => 0
                    [image] => Array
                        (
                            [id] => 
                            [src] => 
                        )

                    [parent_name] => 
                    [mnm_child_of] => 
                    [mnm_child_items] => Array
                        (
                        )

                )

        )

    [tax_lines] => Array
        (
            [0] => Array
                (
                    [id] => 3614
                    [rate_code] => AU-GST-1
                    [rate_id] => 1
                    [label] => GST
                    [compound] => 
                    [tax_total] => 197.20
                    [shipping_tax_total] => 0.00
                    [rate_percent] => 10
                    [meta_data] => Array
                        (
                        )

                )

        )

    [shipping_lines] => Array
        (
            [0] => Array
                (
                    [id] => 3613
                    [method_title] => Free shipping
                    [method_id] => free_shipping
                    [instance_id] => 2
                    [total] => 0.00
                    [total_tax] => 0.00
                    [taxes] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 1
                                    [total] => 
                                    [subtotal] => 
                                )

                        )

                    [meta_data] => Array
                        (
                            [0] => Array
                                (
                                    [id] => 34795
                                    [key] => Items
                                    [value] => Engage: Early Years Teaching and Learning Program &times; 1, Inspire: Early Years Digital Presentations &times; 1
                                    [display_key] => Items
                                    [display_value] => Engage: Early Years Teaching and Learning Program &times; 1, Inspire: Early Years Digital Presentations &times; 1
                                )

                        )

                )

        )

    [fee_lines] => Array
        (
        )

    [coupon_lines] => Array
        (
        )

    [refunds] => Array
        (
        )

    [payment_url] => https://early-years.theresilienceproject.com.au/checkout/order-pay/688/?pay_for_order=true&key=wc_order_vVWttL5UaC74Q
    [is_editable] => 
    [needs_payment] => 
    [needs_processing] => 1
    [date_created_gmt] => 2023-05-08T00:42:35
    [date_modified_gmt] => 2023-05-08T04:56:25
    [date_completed_gmt] => 
    [date_paid_gmt] => 2023-05-08T00:42:35
    [currency_symbol] => $
    [_links] => Array
        (
            [self] => Array
                (
                    [0] => Array
                        (
                            [href] => https://early-years.theresilienceproject.com.au/wp-json/wc/v3/orders/688
                        )

                )

            [collection] => Array
                (
                    [0] => Array
                        (
                            [href] => https://early-years.theresilienceproject.com.au/wp-json/wc/v3/orders
                        )

                )

        )

)
*/

$woocommerce_id = $postData['id'];
// exit;

$tmpDates = explode('T', $postData['date_created']);
$curriculumordered = $tmpDates[0];


$schoolName = $postData['billing']['company'];
if (empty($schoolName)){
    foreach ($postData['meta_data'] as $otherData) {
        if ($otherData['key'] == 'school_name') {
            $schoolName = $otherData['value'];
        }
    }
    
}
// check payment_url
$url = $postData['payment_url'];
$array=parse_url($url);
$array['host']=explode('.', $array['host']);
$buildname = $array['host'][0]; // returns 'sub'


$early_years = false; 
$qty_early_year = NULL;
if (strpos($postData['payment_url'], 'early-years.theresilienceproject') !== false) {
    $early_years = TRUE; 
}
foreach ($postData['line_items'] as $lineItem) {
    if (strpos($lineItem['name'], 'Student Journal') !== false) {
        $lineItems[] = $lineItem['name'];
    }
    // Early Years Children’s Journal
    if ($early_years && strpos($lineItem['name'], 'Early Years Children’s Journal') !== false){
        $qty_early_year = $lineItem['quantity'] ;
    }
}

if (!empty($schoolName) && $postData['status'] == 'processing') {
    putlogwebhook("Order have processing status, doing process");
    // check by buildname first 
    $sqlGet = "SELECT * FROM boru_woocommerce_order WHERE woocommerce_id = ? and buildname = ?";
    $dataCheck = $dbh->getSingle($sqlGet, array($woocommerce_id,$buildname));
    putlogwebhook($dataCheck);
    die();
    if (empty($dataCheck) && $buildname == 'curriculum' ){
        $sqlGet = "SELECT * FROM boru_woocommerce_order WHERE woocommerce_id = ?";
        $dataCheck = $dbh->getSingle($sqlGet, array($woocommerce_id));
    }
    

    if (!empty($dataCheck['crm_id'])){
        putlogwebhook("Order already processed with result:");
        putlogwebhook($dataCheck);
        putlogwebhook("========== END==========");
        die();
    }

    try {
        $accountId = '';

        $queryOrg = sprintf("SELECT * FROM Accounts WHERE accountname='%s'; ", addslashes( $schoolName ) );
        $resultOrg = $vtod->query($queryOrg);

        if (count($resultOrg) == 0) {
            putlogwebhook("No account found in crm with name, checking other account-> " . $schoolName);

            $queryOrg1 = "SELECT * FROM Accounts WHERE accountname='School Name Other'; ";
            $resultOrg = $vtod->query($queryOrg1);

            if (count($resultOrg) > 0) {
                putlogwebhook("Other account found using other account.");
                $accountId = $resultOrg[0]['id'];
            }
        } else {
            $accountId = $resultOrg[0]['id'];
        }

        if (empty($accountId)) {
            putlogwebhook("No matching account or other accout found, creating new other account.");

            /*
            $arr_org['accountname'] = 'School Name Other';
            $arr_org['cf_accounts_organisationtype'] = 'School';
            $arr_org['assigned_user_id'] = $vtod->userId;

            try {
                $dataCOrg = $vtod->create("Accounts", $arr_org);

                if (!empty($dataCOrg['id'])) {
                    putlogwebhook("Other accoutn created with id -> " . $dataCOrg['id']);

                    $accountId = $dataCOrg['id'];
                }
            } catch (Exception $e) {
                putlogwebhook('Error while creating new Other school Account in CRM. error = ' . $e->getMessage());
            }
            */
        }

        if (!empty($accountId)) {
            putlogwebhook("Account found in system, accoutn id -> " . $accountId);

            
            if (empty($resultOrg[0]['cf_accounts_selectedyearlevels'])) {
                $selectedyearlevels = [];

                foreach ($lineItems as $selectedYear) {
                    $selectedyearlevels[] = trim(str_replace('Student Journal', '', $selectedYear));
                }

                $newOrg = array(
                    'id' => $accountId,
                    'cf_accounts_curriculumordered' => $curriculumordered,
                    'cf_accounts_selectedyearlevels' => implode(' |##| ', $selectedyearlevels)
                );
                if ($early_years)
                {
                    $selectedyearlevels[] = 'Early Years';
                    $newOrg['cf_accounts_selectedyearlevels'] = implode(' |##| ', $selectedyearlevels);
                    $newOrg['cf_accounts_totalresourcesordered' ] = $qty_early_year;
                }
                putlogwebhook("Updating account in  crm.");
                putlogwebhook($newOrg);

                try {
                    $resUpdate = $vtod->revise($newOrg);

                    $sql = "INSERT INTO boru_woocommerce_order (woocommerce_id, crm_id, buildname, sync_date) VALUES (?, ?, ?,NOW())";
                    $dbh->run($sql, array($postData['id'], $resUpdate['id'],$buildname));

                    putlogwebhook("Success, account updated.");

                } catch (Exception $e) {
                    putlogwebhook('Error while updating Account in CRM. error = ' . $e->getMessage());
                }
            } else {
                putlogwebhook("Account already haev schools in it,, not updating it. school -> " . $resultOrg[0]['cf_accounts_selectedyearlevels']);
            }
            /**/
        } else {
            putlogwebhook('No Account found for name and no new accout created = ' . $schoolName);
        }
    } catch (Exception $e) {
        putlogwebhook('Error while fetching account from CRM. error = ' . $e->getMessage());
    }
} else {
    if (empty($schoolName)) {
        putlogwebhook('No school name in order');
    }else{
        putlogwebhook('Order status is not processing');
    }
}
putlogwebhook("========== END==========");


function putlogwebhook($var)
{
    $content = date("Y-m-d H:i:s") . "\t";
    if (is_array($var) || is_object($var)) {
        $content .= print_r($var, true);
    } else {
        $content .= $var;
    }
    $content .= "\n";
//     echo $content;
//     echo "<br>";
    if (!file_exists(dirname(__FILE__) . "/Order_t.log")) {
        @touch(dirname(__FILE__) . "/Order_t.log", 0777, true);
    }
    file_put_contents(dirname(__FILE__) . "/Order_t.log", $content, FILE_APPEND);
}