var Events_Component_EventPost = VTAP.Component.Core.extend({
    created() {
        VTAP.Event.Register('RECORD_SAVED', (module, record) => {
            var siteApiUrl = 'https://devl06.borugroup.com/resilience/';

            console.log('======== EventPost START =======');
            console.log('== record ', record.invitees);

            if (record.invitees.count > 0) {
                console.log('== invitees found in event, count - ', record.invitees.count);

                $.ajax({
                    url: siteApiUrl + "Events/54333_inviteeStore.php",
                    method: "POST",
                    data: record,
                    dataType: "json",
                    success: function (result) {
                        console.log('result', result)
                        if (result.success) {
                            console.log('== Event invitees saved');
                        } else {
                            console.log('== Event invitees NOT saved');
                            console.log('== error', result.error);
                        }
                    }
                });
            } else {
                console.log('== No invitees in event,no need to call on server');
            }

            console.log('======== EventPost END =======');
        });
    }
});