var Quotes_Component_PrefillQuoteFromDeal = VTAP.Component.Core.extend({
    created() {
        var elem = this;
        elem.CreateQuote();
        $(document).on('click', '#get_Quotes',function(){
            elem.CreateClickQuote();
        });
    },
    methods : {
        async CreateClickQuote() {
            console.log('CreateClickQuote');
            var dealId = this.getUrlParameter('id');
            console.log('dealId',dealId);
            if(!dealId) {
                dealId = $('#Potentials_listview_row_1').attr('data-id');
            }
            if(dealId>0) {
                var dealObj = await this.getRecordData(VTAP.Detail.Id(),'Potentials');
                var serviceArr = [];
                $.each(dealObj.lineitems, function( index, lineItemDeal ) {
                    var serviceId = lineItemDeal['hdnProductId'+index];
                    serviceArr.push('25x'+serviceId);
                });
                var serviceXeroCodeArr = [];
                for(var j=0;j<serviceArr.length;j++) {
                    var serviceObj = await this.getDataByCustomApi('getServiceById', {'id': serviceArr[j]});
                    serviceXeroCodeArr.push(serviceObj[0]['cf_services_xerocode']);
                }
                for(var k=0;k<serviceXeroCodeArr.length;k++) {
                    $('input[name=cf_quotes_xerocode'+(k+1)+']').val(serviceXeroCodeArr[k])[0].dispatchEvent(new Event('input'));
                }
                var dealRecord = await this.getDataByCustomApi('getDealById', {'id': '5x'+dealId});
                if(dealRecord[0]['contact_id']) {
                    var contactRecord = await this.getDataByCustomApi('getContactById', {'id': dealRecord[0]['contact_id']});
                    if(contactRecord[0]['email']) {
                        $('input[name=cf_quotes_contactemail]').val(contactRecord[0]['email'])[0].dispatchEvent(new Event('input'));
                    }
                }
                if(dealRecord[0]['cf_potentials_program']) {
                    $('input[name=cf_quotes_program]').val(dealRecord[0]['cf_potentials_program'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_orgtype']) {
                    $('input[name=cf_quotes_type]').val(dealRecord[0]['cf_potentials_orgtype'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_ponumber1']) {
                    $('input[name=cf_quotes_ponumber1]').val(dealRecord[0]['cf_potentials_ponumber1'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_schooladdress']) {
                    $('textarea[name=bill_street]').val(dealRecord[0]['cf_potentials_schooladdress'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_schoolcity']) {
                    $('input[name=bill_city]').val(dealRecord[0]['cf_potentials_schoolcity'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_state']) {
                    $('select[name=bill_state]').val(dealRecord[0]['cf_potentials_state'])[0].dispatchEvent(new Event('input'));
                    $('select[name=bill_state]').trigger('change');
                }
                if(dealRecord[0]['cf_potentials_schoolpostcode']) {
                    $('input[name=bill_code]').val(dealRecord[0]['cf_potentials_schoolpostcode'])[0].dispatchEvent(new Event('input'));
                }
                VTAP.CustomApi.Get('getContactById', {'id': dealRecord[0]['cf_potentials_billingcontact']}, (error, bill_contact_record) => {
                    if(bill_contact_record[0]['email']) {
                        $('input[name=cf_quotes_billingcontactemail]').val(bill_contact_record[0]['email'])[0].dispatchEvent(new Event('input'));
                    }
                });
                if(dealRecord[0]['cf_potentials_billingcontact']) {
                    var contactBillingRecord = await this.getDataByCustomApi('getContactById', {'id': dealRecord[0]['cf_potentials_billingcontact']});
                    if(contactBillingRecord[0]['id']) {
                        $('input[name=cf_quotes_billingcontactname]').val(contactBillingRecord[0]['id'].replace('4x',''))[0].dispatchEvent(new Event('input'));
                        $('input[name=cf_quotes_billingcontactname]').prev().attr('title',contactBillingRecord[0]['firstname']+" "+contactBillingRecord[0]['lastname'])[0].dispatchEvent(new Event('input'));
                        $('input[name=cf_quotes_billingcontactname]').prev().val(contactBillingRecord[0]['firstname']+" "+contactBillingRecord[0]['lastname'])[0].dispatchEvent(new Event('input'));
                    }

                }
            }
        },
        async CreateQuote() {
            console.log('CreateQuote');
            var dealId = $('input[name=potential_id]').val();
            if(dealId>0) {
                var dealObj = await this.getRecordData(VTAP.Detail.Id(),'Potentials');
                var serviceArr = [];
                $.each(dealObj.lineitems, function( index, lineItemDeal ) {
                    var serviceId = lineItemDeal['hdnProductId'+index];
                    serviceArr.push('25x'+serviceId);
                });
                var serviceXeroCodeArr = [];
                for(var j=0;j<serviceArr.length;j++) {
                    var serviceObj = await this.getDataByCustomApi('getServiceById', {'id': serviceArr[j]});
                    serviceXeroCodeArr.push(serviceObj[0]['cf_services_xerocode']);
                }
                for(var k=0;k<serviceXeroCodeArr.length;k++) {
                    $('input[name=cf_quotes_xerocode'+(k+1)+']').val(serviceXeroCodeArr[k])[0].dispatchEvent(new Event('input'));
                }
                var dealRecord = await this.getDataByCustomApi('getDealById', {'id': '5x'+dealId});
                if(dealRecord[0]['contact_id']) {
                    var contactRecord = await this.getDataByCustomApi('getContactById', {'id': dealRecord[0]['contact_id']});
                    if(contactRecord[0]['email']) {
                        $('input[name=cf_quotes_contactemail]').val(contactRecord[0]['email'])[0].dispatchEvent(new Event('input'));
                    }
                }
                if(dealRecord[0]['cf_potentials_program']) {
                    $('input[name=cf_quotes_program]').val(dealRecord[0]['cf_potentials_program'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_orgtype']) {
                    $('input[name=cf_quotes_type]').val(dealRecord[0]['cf_potentials_orgtype'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_ponumber1']) {
                    $('input[name=cf_quotes_ponumber1]').val(dealRecord[0]['cf_potentials_ponumber1'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_schooladdress']) {
                    $('textarea[name=bill_street]').val(dealRecord[0]['cf_potentials_schooladdress'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_schoolcity']) {
                    $('input[name=bill_city]').val(dealRecord[0]['cf_potentials_schoolcity'])[0].dispatchEvent(new Event('input'));
                }
                if(dealRecord[0]['cf_potentials_state']) {
                    $('select[name=bill_state]').val(dealRecord[0]['cf_potentials_state'])[0].dispatchEvent(new Event('input'));
                    $('select[name=bill_state]').trigger('change');
                }
                if(dealRecord[0]['cf_potentials_schoolpostcode']) {
                    $('input[name=bill_code]').val(dealRecord[0]['cf_potentials_schoolpostcode'])[0].dispatchEvent(new Event('input'));
                }
                VTAP.CustomApi.Get('getContactById', {'id': dealRecord[0]['cf_potentials_billingcontact']}, (error, bill_contact_record) => {
                    if(bill_contact_record[0]['email']) {
                        $('input[name=cf_quotes_billingcontactemail]').val(bill_contact_record[0]['email'])[0].dispatchEvent(new Event('input'));
                    }
                });
                if(dealRecord[0]['cf_potentials_billingcontact']) {
                    var contactBillingRecord = await this.getDataByCustomApi('getContactById', {'id': dealRecord[0]['cf_potentials_billingcontact']});
                    if(contactBillingRecord[0]['id']) {
                        $('input[name=cf_quotes_billingcontactname]').val(contactBillingRecord[0]['id'].replace('4x',''))[0].dispatchEvent(new Event('input'));
                        $('input[name=cf_quotes_billingcontactname]').prev().attr('title',contactBillingRecord[0]['firstname']+" "+contactBillingRecord[0]['lastname'])[0].dispatchEvent(new Event('input'));
                        $('input[name=cf_quotes_billingcontactname]').prev().val(contactBillingRecord[0]['firstname']+" "+contactBillingRecord[0]['lastname'])[0].dispatchEvent(new Event('input'));
                    }

                }
            }
        },
        getDataByCustomApi : function (api_name,data) {
            return new Promise(resolve => {
                VTAP.CustomApi.Get(api_name, data,(error, response) => {
                    resolve(response);
                });
            });
        },
        getRecordData : function (recordId,module) {
            return new Promise(resolve => {
                VTAP.Api.Get('records', {
                    'module': module,
                    'id': recordId
                }, (error, response) => {
                    resolve(response);
                });
            });
        },
        getUrlParameter : function (sParam) {
            var sPageURL = window.location.search.substring(1),
                sURLVariables = sPageURL.split('&'),
                sParameterName,
                i;

            for (i = 0; i < sURLVariables.length; i++) {
                sParameterName = sURLVariables[i].split('=');

                if (sParameterName[0] === sParam) {
                    return typeof sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
                }
            }
            return false;
        }
    }
});

