<?php
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$quoteId = $_REQUEST['id'];
if($quoteId) {
    $quoteRecord = $vtod->retrieve($quoteId);
    if($quoteRecord) {
        if($quoteRecord['potential_id']) {
            $dealRecord = $vtod->retrieve($quoteRecord['potential_id']);
            if($dealRecord['contact_id']) {
                $contactDealRecord = $vtod->retrieve($dealRecord['contact_id']);
                if($contactDealRecord['email']) $quoteRecord['cf_quotes_contactemail'] = $contactDealRecord['email'];
            }
            if($dealRecord['cf_potentials_billingcontact']) {
                $quoteRecord['cf_quotes_billingcontactname'] = $dealRecord['cf_potentials_billingcontact'];
                $contactBillingRecord = $vtod->retrieve($dealRecord['cf_potentials_billingcontact']);
                if($contactBillingRecord) {
                    $quoteRecord['cf_quotes_billingcontactemail'] = $contactBillingRecord['email'];
                }
            }
        }
        $lineItems = $quoteRecord['LineItems'];
        foreach($lineItems as $key => $value) {
            if($value['productid']) {
                $serviceRecord = $vtod->retrieve($value['productid']);
                if ($serviceRecord['cf_services_xerocode']) {
                    $lineItems[$key]['cf_quotes_xerocode'] = $serviceRecord['cf_services_xerocode'];
                }
            }
        }
        $quoteRecord['LineItems'] = $lineItems;
        $quoteJson = json_encode($quoteRecord);
        $quoteParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $quoteJson
        );
        $dataQuote = $vtod->curlPost($vtconfig_url . "webservice.php", $quoteParams);
    }
}
exit;