<?php
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE) );/**/
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$dealArr = [];
$grandTotal = 0;
if($_REQUEST['potentialname']) {
    $_REQUEST['potentialname'] = urldecode($_REQUEST['potentialname']);
}
if($_REQUEST['org_name']) {
    $_REQUEST['org_name'] = urldecode($_REQUEST['org_name']);
}
#task_id: 55085
if($_REQUEST['cf_potentials_schoolstate'] == 'Australian Capital Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'ACT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'New South Wales') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NSW';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Northern Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Queensland') {
    $_REQUEST['cf_potentials_schoolstate'] = 'QLD';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'South Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'SA';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Tasmania') {
    $_REQUEST['cf_potentials_schoolstate'] = 'TAS';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Victoria') {
    $_REQUEST['cf_potentials_schoolstate'] = 'VIC';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Western Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'WA';
}
#end task_id: 55085
$dealArr['potentialname'] = $_REQUEST['potentialname'];
$dealArr['cf_potentials_numberofparticipants'] = $_REQUEST['cf_potentials_numberofstudents'];
$dealArr['cf_potentials_studentfees'] = $_REQUEST['cf_potentials_studentfees_currency_value'];
$dealArr['cf_potentials_studentfees_currency_value'] = $_REQUEST['cf_potentials_studentfees_currency_value'];
$dealArr['cf_potentials_programcost'] = $_REQUEST['cf_potentials_programcost_currency_value'];
$dealArr['cf_potentials_programcost_currency_value'] = $_REQUEST['cf_potentials_programcost_currency_value'];

$dealArr['closingdate'] = date('d-m-Y');
$dealArr['pipeline'] = 'Standard';
$dealArr['sales_stage'] = 'Deal Won';
$dealArr['cf_potentials_program'] = 'Early Years';
$dealArr['opportunity_type'] = 'Early Years';
$dealArr['assigned_user_id'] = '19x1';
$dealArr['cf_potentials_schooladdress'] = $_REQUEST['cf_potentials_schooladdress'];
$dealArr['cf_potentials_schoolcity'] = $_REQUEST['cf_potentials_schoolcity'];
$dealArr['cf_potentials_state'] = $_REQUEST['cf_potentials_schoolstate'];
$dealArr['cf_potentials_schoolpostcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
$confirm_url = "https://forms.theresilienceproject.com.au/early-years-program-confirmation/?org_name=".rawurlencode($_REQUEST['org_name'])."&number_of_student=".$_REQUEST['cf_potentials_numberofstudents']."&contact_first_name=".rawurlencode($_REQUEST['first_name'])."&contact_last_name=".rawurlencode($_REQUEST['last_name'])."&contact_email=".$_REQUEST['contact_email']."&address=".rawurlencode($_REQUEST['cf_potentials_schooladdress'])."&city=".rawurlencode($_REQUEST['cf_potentials_schoolcity'])."&state=".rawurlencode($_REQUEST['cf_potentials_schoolstate'])."&zip_code=".$_REQUEST['cf_potentials_schoolpostcode'];
if($_REQUEST['org_name']) {
    if(strpos($_REQUEST['org_name'], "'s") !== false) {
        $org_name = str_replace("'s","\'s",$_REQUEST['org_name']);
    } else {
        $org_name = $_REQUEST['org_name'];
    }
    $query_org  = sprintf("SELECT * FROM Accounts WHERE accountname='%s' LIMIT 1; ",$org_name);
    $res_org = $vtod->query($query_org);
    if(isset($res_org[0]['id'])) {
        $dealArr['related_to'] = $res_org[0]['id'];
        $orgP = $vtod->retrieve($res_org[0]['id']);
        $orgP['cf_accounts_confirmationurl'] = $confirm_url;
        $orgP['cf_accounts_organisationtype'] = 'Early Years Centre';
        $orgP['cf_accounts_address'] = $_REQUEST['cf_potentials_schooladdress'];
        $orgP['cf_accounts_city'] = $_REQUEST['cf_potentials_schoolcity'];
        $orgP['cf_accounts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
        $orgP['cf_accounts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $orgPJson = json_encode($orgP);
        $org_Params = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $orgPJson
        );
        $dataOrgP = $vtod->curlPost($vtconfig_url . "webservice.php", $org_Params);
    } else {
        #create new Org
        $orgArr = [];
        $orgArr['cf_accounts_confirmationurl'] = $confirm_url;
        $orgArr['accountname'] = $_REQUEST['org_name'];
        $orgArr['cf_accounts_yearswithtrp'] = '2022';
        $orgArr['cf_accounts_organisationtype'] = 'Early Years Centre';
        $orgArr['assigned_user_id'] = '19x1';
        $orgArr['cf_accounts_confirmationurl'] = $confirm_url;
        $orgArr['cf_accounts_address'] = $_REQUEST['cf_potentials_schooladdress'];
        $orgArr['cf_accounts_city'] = $_REQUEST['cf_potentials_schoolcity'];
        $orgArr['cf_accounts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
        $orgArr['cf_accounts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $objectOrgJson = json_encode($orgArr);
        $orgParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectOrgJson,
            "elementType" => 'Accounts',
        );
        $dataOrg = $vtod->curlPost($vtconfig_url . "webservice.php", $orgParams);
        $resultOrg = json_decode($dataOrg);
        if ($resultOrg->result->id) {
            $dealArr['related_to'] = $resultOrg->result->id;
        }
    }
}
if($_REQUEST['contact_email']) {
    $query_contact = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_email']);
    $res_contact = $vtod->query($query_contact);
    if(isset($res_contact[0]['id'])) {
        $dealArr['contact_id'] = $res_contact[0]['id'];
        $contactP = $vtod->retrieve($res_contact[0]['id']);
        $contactP['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactP['firstname'] = $_REQUEST['first_name'];
        $contactP['lastname'] = $_REQUEST['last_name'];
        $contactP['cf_contacts_confirmationstatus'] = 'Complete';
        $contactP['cf_contacts_confirmationform'] = 'Early Years';
        if($dealArr['related_to']) {
            $contactP['account_id'] = $dealArr['related_to'];
        }
//        $contactP['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
//        $contactP['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
//        $contactP['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
//        $contactP['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $contactJson = json_encode($contactP);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $contactJson
        );
        $dataContactP = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
    } else {
        #create new Contact
        $contactArr = [];
        $contactArr['firstname'] = $_REQUEST['first_name'];
        $contactArr['lastname'] = $_REQUEST['last_name'];
        $contactArr['email'] = $_REQUEST['contact_email'];
        $contactArr['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactArr['cf_contacts_confirmationform'] = 'Early Years';
        if($dealArr['related_to']) {
            $contactArr['account_id'] = $dealArr['related_to'];
        }
        $contactArr['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
        $contactArr['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
        $contactArr['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
        $contactArr['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $contactArr['contacttype'] = 'Sales Qualified Lead';
        $contactArr['assigned_user_id'] = '19x1';
        $contactArr['cf_contacts_type'] = 'Primary';
        $contactArr['cf_contacts_confirmationstatus'] = 'Complete';
        $objectContactJson = json_encode($contactArr);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectContactJson,
            "elementType" => 'Contacts',
        );
        $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
        $resultContact = json_decode($dataContact);
        if ($resultContact->result->id) {
            $dealArr['contact_id'] = $resultContact->result->id;
        }
    }
}
$service_early = $vtod->retrieve('25x33806');
$lineItem = [];
if($service_early) {
    $lineItem[] = array(
        'productid' => $service_early['id'],
        'quantity' => '1',
        'listprice' => $service_early['unit_price'],
        'cf_quotes_xerocode' => $service_early['cf_services_xerocode'],
        'duration' => '1'
    );
    $grandTotal += (float)$service_early['unit_price'];
}
$service_student_fee = $vtod->retrieve('25x33805');
if($service_student_fee) {
    $lineItem[] = array(
        'productid' => $service_student_fee['id'],
        'quantity' => ($_REQUEST['cf_potentials_numberofstudentsvalue']) ? $_REQUEST['cf_potentials_numberofstudentsvalue'] : '1',
        'listprice' => $service_student_fee['unit_price'],
        'cf_quotes_xerocode' => $service_student_fee['cf_services_xerocode'],
        'duration' => '1'
    );
    if($_REQUEST['cf_potentials_numberofstudentsvalue']) {
        $grandTotal += (float)$service_student_fee['unit_price']*(int)$_REQUEST['cf_potentials_numberofstudentsvalue'];
    } else {
        $grandTotal += (float)$service_student_fee['unit_price'];
    }
}
$dealArr['amount'] = (float)$grandTotal;
$dealArr['amount_currency_value'] = (float)$grandTotal;
$dealArr['LineItems'] = $lineItem;
$dealArr['hdnSubTotal'] = (float)$grandTotal;
$dealArr['hdnGrandTotal'] = (float)$grandTotal;
$objectJson = json_encode($dealArr);
$params = array(
    "sessionName" => $vtod->sessionId,
    "operation" => 'create',
    "element" => $objectJson,
    "elementType" => 'Potentials',
);
$data_potential = $vtod->curlPost($vtconfig_url . "webservice.php", $params);
$result_arr = json_decode($data_potential);
if ($result_arr->result->id) {
    $potentialId = $result_arr->result->id;
    $quoteArr = [];
    if($potentialId) {
        $billingContactEmail = '';
        if($dealArr['cf_potentials_billingcontact']) {
            $billingContact =  $vtod->retrieve($dealArr['cf_potentials_billingcontact']);
            if($billingContact) {
                $billingContactEmail = $billingContact['email'];
            }
        }
        #create Quote record
        $quoteArr['subject'] = str_replace('Deal:', 'Quote:', $_REQUEST['potentialname']);
        $quoteArr['potential_id'] = $potentialId;
        $quoteArr['quotestage'] = 'New';
        $quoteArr['account_id'] = $dealArr['related_to'];
        $quoteArr['contact_id'] = $dealArr['contact_id'];
        $quoteArr['cf_quotes_contactemail'] = $_REQUEST['contact_email'];
        $quoteArr['cf_quotes_billingcontactname'] = $dealArr['cf_potentials_billingcontact'];
        $quoteArr['cf_quotes_billingcontactemail'] = $billingContactEmail;
        $quoteArr['cf_quotes_program'] = $dealArr['cf_potentials_program'];
        $quoteArr['cf_quotes_type'] = $dealArr['cf_potentials_orgtype'];
        if ($_REQUEST['cf_potentials_schooladdress']) {
            $quoteArr['bill_street'] = $_REQUEST['cf_potentials_schooladdress'];
            $quoteArr['ship_street'] = $_REQUEST['cf_potentials_schooladdress'];
        }
        $quoteArr['assigned_user_id'] = '19x1';
        $quoteArr['hdnTaxType'] = 'individual';
        $quoteArr['LineItems'] = $lineItem;
        $objectQuoteJson = json_encode($quoteArr);
        $quoteParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectQuoteJson,
            "elementType" => 'Quotes',
        );
        $dataQuote = $vtod->curlPost($vtconfig_url . "webservice.php", $quoteParams);
        $resultQuote = json_decode($dataQuote, 1);
        if ($resultQuote['result']['id']) {
            echo json_encode(array('success' => true, 'message' => $potentialId));
            exit;
        } else {
            echo json_encode(array('success' => false, 'message' => $resultQuote->error->message));
            exit;
        }
    }
    echo json_encode(array('success'=>true,'message'=>$potentialId));
    exit;
} else {
    echo json_encode(array('success'=>false,'message'=>$result_arr->error->message));
    exit;
}

function get_contents($templateName, $variables) {
    $template = file_get_contents($templateName);

    foreach($variables as $key => $value)
    {
        $template = str_replace('{{ '.$key.' }}', $value, $template);
    }
    return $template;
}

function getLineItemContent($data) {
    $html_content = '';
    foreach($data as $k => $val) {
        $html_content .= '<tr>
			<td style=" background:#fff;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['sequence_no'].'</span></td>
			<td style="text-align:left; border-bottom:2px solid white;border-right:2px solid white;">
			<h3><span style="font-family:verdana,geneva,sans-serif;">'.$val['product_name'].'</span></h3>
			<span style="font-family:verdana,geneva,sans-serif;">'.$val['description'].'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.number_format($val['listprice']).'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['quantity'].'</span></td>
			<td style="border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;"><strong>'.number_format($val['netprice']).'</strong></span></td>
		</tr>';
    }

    return $html_content;
}
