<?php
//ini_set('display_errors', '1');
//ini_set('display_startup_errors', '1');
//error_reporting(E_ALL);
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$dealArr = [];

if($_REQUEST['related_to']) {
    $_REQUEST['related_to'] = urldecode($_REQUEST['related_to']);
}
#task_id: 55085
if($_REQUEST['cf_potentials_schoolstate'] == 'Australian Capital Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'ACT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'New South Wales') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NSW';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Northern Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Queensland') {
    $_REQUEST['cf_potentials_schoolstate'] = 'QLD';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'South Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'SA';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Tasmania') {
    $_REQUEST['cf_potentials_schoolstate'] = 'TAS';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Victoria') {
    $_REQUEST['cf_potentials_schoolstate'] = 'VIC';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Western Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'WA';
}
#end task_id: 55085
$dealArr['sales_stage'] = 'Deal Won';
$dealArr['assigned_user_id'] = '19x1';
$dealArr['pipeline'] = 'Standard';
$dealArr['closingdate'] = date('d-m-Y');
$dealArr['potentialname'] = 'Deal: '.$_REQUEST['related_to'];
$dealArr['cf_potentials_program'] = 'Workplace';
$dealArr['cf_potentials_wouldyouliketheinvoice'] = $_REQUEST['cf_potentials_wouldyouliketheinvoice'];
$dealArr['cf_potentials_deliverwellbeingresources'] = $_REQUEST['cf_potentials_deliverwellbeingresources'];
$dealArr['cf_potentials_programcost'] = (float)$_REQUEST['cf_potentials_programcost'];
$dealArr['cf_potentials_programcost_currency_value'] = (float)$_REQUEST['cf_potentials_programcost_currency_value'];
$dealArr['amount'] = (float)$_REQUEST['amount'];
$dealArr['amount_currency_value'] = (float)$_REQUEST['amount_currency_value'];
$dealArr['cf_potentials_schooladdress'] = $_REQUEST['cf_potentials_schooladdress'];
$dealArr['cf_potentials_schoolcity'] = $_REQUEST['cf_potentials_schoolcity'];
$dealArr['cf_potentials_state'] = $_REQUEST['cf_potentials_schoolstate'];
$dealArr['cf_potentials_schoolpostcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
$confirm_url = "https://forms.theresilienceproject.com.au/workplace-confirmation-form/?org_name=".rawurlencode($_REQUEST['related_to'])."&contact_first_name=".rawurlencode($_REQUEST['input_123'])."&contact_last_name=".rawurlencode($_REQUEST['input_124'])."&contact_email=".$_REQUEST['contact_id::Contacts::email']."&address=".rawurlencode($_REQUEST['cf_potentials_schooladdress'])."&city=".rawurlencode($_REQUEST['cf_potentials_schoolcity'])."&state=".rawurlencode($_REQUEST['cf_potentials_schoolstate'])."&zip_code=".$_REQUEST['cf_potentials_schoolpostcode'];

if($_REQUEST['related_to']) {
    if(strpos($_REQUEST['related_to'], "'s") !== false) {
        $org_name = str_replace("'s","\'s",$_REQUEST['related_to']);
    } else {
        $org_name = $_REQUEST['related_to'];
    }
    $query_org  = sprintf("SELECT * FROM Accounts WHERE accountname='%s' LIMIT 1; ",$org_name);
    $res_org = $vtod->query($query_org);
    if(isset($res_org[0]['id'])) {
        $dealArr['related_to'] = $res_org[0]['id'];
        $dealArr['cf_potentials_schooladdress'] = !empty($res_org[0]['cf_accounts_address']) ? $res_org[0]['cf_accounts_address'] : $_REQUEST['cf_potentials_schooladdress'];
        $dealArr['cf_potentials_schoolcity'] = !empty($res_org[0]['cf_accounts_city']) ? $res_org[0]['cf_accounts_city'] : $_REQUEST['cf_potentials_schoolcity'];
        $dealArr['cf_potentials_state'] = !empty($res_org[0]['cf_accounts_statenew']) ? $res_org[0]['cf_accounts_statenew'] : $_REQUEST['cf_potentials_schoolstate'];
        $dealArr['cf_potentials_schoolpostcode'] = !empty($res_org[0]['cf_accounts_zipcode']) ? $res_org[0]['cf_accounts_zipcode'] : $_REQUEST['cf_potentials_schoolpostcode'];
        $orgP = $vtod->retrieve($res_org[0]['id']);
        $orgP['cf_accounts_confirmationurl'] = $confirm_url;
        $orgPJson = json_encode($orgP);
        $org_Params = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $orgPJson
        );
        $dataOrgP = $vtod->curlPost($vtconfig_url . "webservice.php", $org_Params);
    } else {
        $orgArr = [];
        $orgArr['accountname'] = $_REQUEST['related_to'];
        $orgArr['cf_accounts_yearswithtrp'] = '2022';
        $orgArr['cf_accounts_organisationtype'] = 'Workplace';
        $orgArr['assigned_user_id'] = '19x1';
        $orgArr['cf_accounts_confirmationurl'] = $confirm_url;
        $dealArr['cf_potentials_schooladdress'] = $orgArr['cf_accounts_address'] = $_REQUEST['cf_potentials_schooladdress'];
        $dealArr['cf_potentials_schoolcity'] = $orgArr['cf_accounts_city'] = $_REQUEST['cf_potentials_schoolcity'];
        $dealArr['cf_potentials_state'] = $orgArr['cf_accounts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
        $dealArr['cf_potentials_schoolpostcode'] = $orgArr['cf_accounts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $objectOrgJson = json_encode($orgArr);
        $orgParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectOrgJson,
            "elementType" => 'Accounts',
        );
        $dataOrg = $vtod->curlPost($vtconfig_url . "webservice.php", $orgParams);
        $resultOrg = json_decode($dataOrg);
        if ($resultOrg->result->id) {
            $dealArr['related_to'] = $resultOrg->result->id;
        }
    }
}
if($_REQUEST['contact_id::Contacts::email']) {
    $query_contact = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_id::Contacts::email']);
    $res_contact = $vtod->query($query_contact);
    if(isset($res_contact[0]['id'])) {
        $dealArr['contact_id'] = $res_contact[0]['id'];
        $contactP = $vtod->retrieve($res_contact[0]['id']);
        $contactP['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactP['firstname'] = $_REQUEST['first_name'];
        $contactP['lastname'] = $_REQUEST['last_name'];
        $contactP['cf_contacts_confirmationstatus'] = 'Complete';
        $contactP['cf_contacts_confirmationform'] = 'Workplace';
        if($dealArr['related_to']) {
            $contactP['account_id'] = $dealArr['related_to'];
        }
//        $contactP['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
//        $contactP['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
//        $contactP['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
//        $contactP['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $contactJson = json_encode($contactP);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $contactJson
        );
        $dataContactP = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
    } else {
        #create new Contact
        $contactArr = [];
        $contactArr['firstname'] = $_REQUEST['input_123'];
        $contactArr['lastname'] = $_REQUEST['input_124'];
        $contactArr['email'] = $_REQUEST['contact_id::Contacts::email'];
        $contactP['cf_contacts_confirmationform'] = 'Workplace';
        if($dealArr['related_to']) {
            $contactArr['account_id'] = $dealArr['related_to'];
        }
        $contactArr['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
        $contactArr['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
        $contactArr['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
        $contactArr['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $contactArr['contacttype'] = 'Customer';
        $contactArr['assigned_user_id'] = '19x1';
        $contactArr['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactArr['cf_contacts_type'] = 'Primary';
        $contactArr['cf_contacts_confirmationstatus'] = 'Complete';
        $objectContactJson = json_encode($contactArr);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectContactJson,
            "elementType" => 'Contacts',
        );
        $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
        $resultContact = json_decode($dataContact);
        if ($resultContact->result->id) {
            $dealArr['contact_id'] = $resultContact->result->id;
        }
    }
}
$lineItem = array();
if ($_REQUEST['cf_potentials_discoveringresilienceprogram'] == '1' && !empty($_REQUEST['cf_potentials_yourpreferredpresenter'])) {
    if ($_REQUEST['cf_potentials_yourpreferredpresenter'] == 'Hugh van Cuylenburg') {
        $service_1 = $vtod->retrieve('25x33834');
    }
    else if ($_REQUEST['cf_potentials_yourpreferredpresenter'] == 'Martin Heppell') {
        $service_1 = $vtod->retrieve('25x33833');
    }
    $lineItem[] = array(
        'productid' => $service_1['id'],
        'quantity' => (int)$_REQUEST['cf_2260'],
        'listprice' => (float)$_REQUEST['cf_potentials_pricediscoveringresilienceprogram'] / (int)$_REQUEST['cf_2260'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_1['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_wellbeingworkshopafterourselves'] == '1' && !empty($_REQUEST['cf_potentials_wellbeingworkshopformat'])) {
    if ($_REQUEST['cf_potentials_wellbeingworkshopformat'] == 'Live webinar') {
        $service_2 = $vtod->retrieve('25x33844');
    }
    else if ($_REQUEST['cf_potentials_wellbeingworkshopformat'] == 'In-person*') {
        $service_2 = $vtod->retrieve('25x33842');
    }
    $lineItem[] = array(
        'productid' => $service_2['id'],
        'quantity' => (int)$_REQUEST['cf_potentials_quantitywellbeingworkshop'],
        'listprice' => (float)$_REQUEST['cf_2307'] / (int)$_REQUEST['cf_potentials_quantitywellbeingworkshop'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_2['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_wellbeingworkshopaftereachother'] == '1' && !empty($_REQUEST['cf_potentials_wellbeingworkshopformatafterother'])) {
    if ($_REQUEST['cf_potentials_wellbeingworkshopformatafterother'] == 'Live webinar') {
        $service_3 = $vtod->retrieve('25x33843');
    }
    else if ($_REQUEST['cf_potentials_wellbeingworkshopformatafterother'] == 'In-person*') {
        $service_3 = $vtod->retrieve('25x33843');
    }
    $lineItem[] = array(
        'productid' => $service_3['id'],
        'quantity' => (int)$_REQUEST['cf_potentials_quantitywellbeingworkshopother'],
        'listprice' => (float)$_REQUEST['cf_potentials_pricewellbeingworkshopother_currency_value'] / (int)$_REQUEST['cf_potentials_quantitywellbeingworkshopother'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_3['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_connectedparentingpresentation'] == '1' && !empty($_REQUEST['cf_2272'])) {
    if ($_REQUEST['cf_2272'] == 'Live webinar (including recording for 7 days)') {
        $service_4 = $vtod->retrieve('25x33846');
    }
    else if ($_REQUEST['cf_2272'] == 'In-person*') {
        $service_4 = $vtod->retrieve('25x33845');
    }
    $lineItem[] = array(
        'productid' => $service_4['id'],
        'quantity' => (int)$_REQUEST['cf_2274'],
        'listprice' => (float)$_REQUEST['cf_potentials_priceconnectedparentingpresentation_currency_value'] / (int)$_REQUEST['cf_2274'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_4['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_connectedparentingdigitalseries'] == '1') {
    $service_5 = $vtod->retrieve('25x33847');
    $lineItem[] = array(
        'productid' => $service_5['id'],
        'quantity' => (int)$_REQUEST['cf_2278'],
        'listprice' => (float)$_REQUEST['cf_2316'] / (int)$_REQUEST['cf_2278'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_5['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_daywellbeingjournal'] == '1') {
    $service_6 = $vtod->retrieve('25x33800');
    $lineItem[] = array(
        'productid' => $service_6['id'],
        'quantity' => (int)$_REQUEST['cf_potentials_quantitydayjournals'],
        'listprice' => (float)$_REQUEST['cf_potentials_pricedaywellbeingjournal_currency_value'] / (int)$_REQUEST['cf_potentials_quantitydayjournals'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_6['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_monthwellbeingjournal'] == '1') {
    $service_7 = $vtod->retrieve('25x33801');
    $lineItem[] = array(
        'productid' => $service_7['id'],
        'quantity' => (int)$_REQUEST['cf_potentials_quantitymonthjournals'],
        'listprice' => (float)$_REQUEST['cf_potentials_pricemonthwellbeingjournal_currency_value'] / (int)$_REQUEST['cf_potentials_quantitymonthjournals'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_7['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_familywellbeingjournal'] == '1') {
    $service_8 = $vtod->retrieve('25x33802');
    $lineItem[] = array(
        'productid' => $service_8['id'],
        'quantity' => (int)$_REQUEST['cf_potentials_quantityfamilyjournals'],
        'listprice' => (float)$_REQUEST['cf_potentials_pricefamilywellbeingjournal_currency_value'] / (int)$_REQUEST['cf_potentials_quantityfamilyjournals'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_8['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_trpapp'] == '1') {
    $service_9 = $vtod->retrieve('25x39243');
    $lineItem[] = array(
        'productid' => $service_9['id'],
        'quantity' => (int)$_REQUEST['cf_potentials_quantitytrpapp'],
        'listprice' => (float)$_REQUEST['cf_potentials_pricetrpapp_currency_value'] / (int)$_REQUEST['cf_potentials_quantitytrpapp'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_9['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_booktheresilienceproject'] == '1') {
    $service_10 = $vtod->retrieve('25x33803');
    $lineItem[] = array(
        'productid' => $service_10['id'],
        'quantity' => (int)$_REQUEST['cf_potentials_quantitybooktheresilienceproject'],
        'listprice' => (float)$_REQUEST['cf_potentials_pricebooktheresilienceproject_currency_value'] / (int)$_REQUEST['cf_potentials_quantitybooktheresilienceproject'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_10['cf_services_xerocode'],
        'deleted' => 0
    );
}
if ($_REQUEST['cf_potentials_bookletgo'] == '1') {
    $service_11 = $vtod->retrieve('25x33804');
    $lineItem[] = array(
        'productid' => $service_11['id'],
        'quantity' => (int)$_REQUEST['cf_potentials_quantitybookletgo'],
        'listprice' => (float)$_REQUEST['cf_potentials_pricebookletgo'] / (int)$_REQUEST['cf_potentials_quantitybookletgo'],
        'duration' => '1',
        'section_no' => '1',
        'section_name' => 'Workplace',
        'entity_type' => 'Services',
        'cf_quotes_xerocode' => $service_11['cf_services_xerocode'],
        'deleted' => 0
    );
}
//echo "<pre>";print_r($lineItem);
//die();
$dealArr['LineItems'] = $lineItem;
$dealArr['hdnSubTotal'] = (float)$_REQUEST['amount'];
$dealArr['hdnGrandTotal'] = (float)$_REQUEST['amount'];
//echo "<pre>";print_r($dealArr);die();
$objectJson = json_encode($dealArr);
$params = array(
    "sessionName" => $vtod->sessionId,
    "operation" => 'create',
    "element" => $objectJson,
    "elementType" => 'Potentials',
);
$data_potential = $vtod->curlPost($vtconfig_url . "webservice.php", $params);
$result_arr = json_decode($data_potential);
if ($result_arr->result->id) {
    $potentialId = $result_arr->result->id;
    if($potentialId) {
        #create Contact second
        if($_REQUEST['contact_email2']) {
            $query_contact2 = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_email2']);
            $res_contact2 = $vtod->query($query_contact2);
            if(!isset($res_contact2[0]['id'])) {
                #create new Contact
                $contact2Arr = [];
                $contact2Arr['firstname'] = $_REQUEST['first_name2'];
                $contact2Arr['lastname'] = $_REQUEST['last_name2'];
                $contact2Arr['cf_contacts_type'] = 'Billing';
                $contact2Arr['email'] = $_REQUEST['contact_email2'];
                $contact2Arr['cf_contacts_confirmationform'] = 'Workplace';
                if($dealArr['related_to']) {
                    $contact2Arr['account_id'] = $dealArr['related_to'];
                }
                $contact2Arr['cf_contacts_dealname'] = $potentialId;
                $contact2Arr['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
                $contact2Arr['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
                $contact2Arr['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
                $contact2Arr['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
                $contact2Arr['contacttype'] = 'Sales Qualified Lead';
                $contact2Arr['assigned_user_id'] = '19x1';
                $contact2Arr['cf_contacts_confirmationurlnew'] = $confirm_url;
                $objectContact2Json = json_encode($contact2Arr);
                $contact2Params = array(
                    "sessionName" => $vtod->sessionId,
                    "operation" => 'create',
                    "element" => $objectContact2Json,
                    "elementType" => 'Contacts',
                );
                $dataContact2 = $vtod->curlPost($vtconfig_url . "webservice.php", $contact2Params);
                $resultContact2 = json_decode($dataContact2,1);
                if ($resultContact2['result']['id']) {
                    $dealArr['cf_potentials_billingcontact'] = $resultContact2['result']['id'];
                    $updateDealJson = json_encode($dealArr);
                    $updateDealParams = array(
                        "sessionName" => $vtod->sessionId,
                        "operation" => 'update',
                        "element" => $updateDealJson
                    );
                    $dataUpdateDeal = $vtod->curlPost($vtconfig_url . "webservice.php", $updateDealParams);
                }
            }
        }
        $billingContactEmail = '';
        if($dealArr['cf_potentials_billingcontact']) {
            $billingContact =  $vtod->retrieve($dealArr['cf_potentials_billingcontact']);
            if($billingContact) {
                $billingContactEmail = $billingContact['email'];
            }
        }
        #create Quote record
        $quoteArr['subject'] = str_replace('Deal:','Quote:',$dealArr['potentialname']);
        $quoteArr['potential_id'] = $potentialId;
        $quoteArr['quotestage'] = 'New';
        $quoteArr['account_id'] = $dealArr['related_to'];
        $quoteArr['contact_id'] = $dealArr['contact_id'];
        $quoteArr['cf_quotes_contactemail'] = $_REQUEST['contact_email'];
        $quoteArr['cf_quotes_billingcontactname'] = $dealArr['cf_potentials_billingcontact'];
        $quoteArr['cf_quotes_billingcontactemail'] = $billingContactEmail;
        $quoteArr['cf_quotes_program'] = $dealArr['cf_potentials_program'];
        $quoteArr['cf_quotes_type'] = $dealArr['cf_potentials_orgtype'];
        if($_REQUEST['cf_potentials_schooladdress']) {
            $quoteArr['bill_street'] = $_REQUEST['cf_potentials_schooladdress'];
            $quoteArr['ship_street'] = $_REQUEST['cf_potentials_schooladdress'];
        }
        $quoteArr['assigned_user_id'] = '19x1';
        $quoteArr['hdnTaxType'] = 'individual';
        $quoteArr['LineItems'] = $lineItem;
        $objectQuoteJson = json_encode($quoteArr);
        $quoteParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectQuoteJson,
            "elementType" => 'Quotes',
        );
        $dataQuote = $vtod->curlPost($vtconfig_url . "webservice.php", $quoteParams);
        $resultQuote = json_decode($dataQuote,1);
        if ($resultQuote['result']['id']) {
            echo json_encode(array('success'=>true,'message'=>$potentialId));
            exit;
        } else {
            echo json_encode(array('success'=>false,'message'=>$resultQuote->error->message));
            exit;
        }
    }
    echo json_encode(array('success'=>true,'message'=>$potentialId));
    exit;
} else {
    echo json_encode(array('success'=>false,'message'=>$result_arr->error->message));
    exit;
}