<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE| E_WARNING | E_PARSE |E_DEPRECATED) );

chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$dealArr = [];
$lineItem = $lineItemQuote =  [];
$grandTotal = 0;
$address_street = '';
if($_REQUEST['potentialname']) {
    $_REQUEST['potentialname'] = urldecode($_REQUEST['potentialname']);
}
if($_REQUEST['org_name']) {
    $_REQUEST['org_name'] = urldecode($_REQUEST['org_name']);
}
$dealArr['potentialname'] = "Deal: ".$_REQUEST['potentialname'];

if($_REQUEST['cf_2185']) {
    $dealArr['cf_2185'] = '1';
}
if($_REQUEST['cf_2189']) {
    $dealArr['cf_2189'] = '1';
}
if($_REQUEST['cf_2191']) {
    $dealArr['cf_2191'] = '1';
}
if($_REQUEST['cf_potentials_extraoptions2022trpinactionweb']) {
    $dealArr['cf_potentials_extraoptions2022trpinactionweb'] = '1';
}
if($_REQUEST['cf_2199']) {
    $dealArr['cf_2199'] = '1';
}
#task_id: 55085
if($_REQUEST['cf_potentials_schoolstate'] == 'Australian Capital Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'ACT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'New South Wales') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NSW';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Northern Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Queensland') {
    $_REQUEST['cf_potentials_schoolstate'] = 'QLD';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'South Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'SA';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Tasmania') {
    $_REQUEST['cf_potentials_schoolstate'] = 'TAS';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Victoria') {
    $_REQUEST['cf_potentials_schoolstate'] = 'VIC';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Western Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'WA';
}
#end task_id: 55085
$dealArr['cf_potentials_numberofparticipants'] = $_REQUEST['cf_potentials_numberofstudents'];
$dealArr['cf_potentials_studentfees'] = $_REQUEST['cf_potentials_studentfees_currency_value'];
$dealArr['cf_potentials_studentfees_currency_value'] = $_REQUEST['cf_potentials_studentfees_currency_value'];
$dealArr['cf_potentials_programcost'] = $_REQUEST['cf_potentials_programcost_currency_value'];
$dealArr['cf_potentials_programcost_currency_value'] = $_REQUEST['cf_potentials_programcost_currency_value'];
$dealArr['closingdate'] = date('d-m-Y');
$dealArr['pipeline'] = 'Standard';
$dealArr['sales_stage'] = 'Deal Won';
$dealArr['cf_potentials_program'] = 'School';
$dealArr['assigned_user_id'] = '19x1';
$dealArr['cf_potentials_schooladdress'] = $_REQUEST['cf_potentials_schooladdress'];
$dealArr['cf_potentials_schoolcity'] = $_REQUEST['cf_potentials_schoolcity'];
$dealArr['cf_potentials_state'] = $_REQUEST['cf_potentials_schoolstate'];
$dealArr['cf_potentials_schoolpostcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
$confirm_url = "https://forms.theresilienceproject.com.au/existing-school-confirmation-form-new-digital/?org_name=".rawurlencode($_REQUEST['org_name'])."&contact_first_name=".rawurlencode($_REQUEST['first_name'])."&contact_last_name=".rawurlencode($_REQUEST['last_name'])."&contact_email=".$_REQUEST['contact_email']."&address=".rawurlencode($_REQUEST['cf_potentials_schooladdress'])."&city=".rawurlencode($_REQUEST['cf_potentials_schoolcity'])."&state=".rawurlencode($_REQUEST['cf_potentials_schoolstate'])."&zip_code=".$_REQUEST['cf_potentials_schoolpostcode'];
if($_REQUEST['org_name']) {
    if(strpos($_REQUEST['org_name'], "'s") !== false) {
        $org_name = str_replace("'s","\'s",$_REQUEST['org_name']);
    } else {
        $org_name = $_REQUEST['org_name'];
    }
    $query_org  = sprintf("SELECT * FROM Accounts WHERE accountname='%s' LIMIT 1; ",$org_name);
    $res_org = $vtod->query($query_org);
    if(isset($res_org[0]['id'])) {
        $dealArr['related_to'] = $res_org[0]['id'];
        $orgP = $vtod->retrieve($res_org[0]['id']);

        $address_street = $orgP['cf_accounts_address'];
        $orgP['cf_accounts_confirmationurl'] = $confirm_url;
        $orgPJson = json_encode($orgP);
        $org_Params = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $orgPJson
        );
        $dataOrgP = $vtod->curlPost($vtconfig_url . "webservice.php", $org_Params);
    } else {
        #create new Org
        $orgArr = [];
        $orgArr['accountname'] = $_REQUEST['org_name'];
        $orgArr['cf_accounts_yearswithtrp'] = '2022';
        $orgArr['cf_accounts_organisationtype'] = 'Early Years Centre';
        $orgArr['assigned_user_id'] = '19x1';
        $orgArr['cf_accounts_confirmationurl'] = $confirm_url;
        $objectOrgJson = json_encode($orgArr);
        $orgParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectOrgJson,
            "elementType" => 'Accounts',
        );
        $dataOrg = $vtod->curlPost($vtconfig_url . "webservice.php", $orgParams);
        $resultOrg = json_decode($dataOrg);
        if ($resultOrg->result->id) {
            $dealArr['related_to'] = $resultOrg->result->id;
        }
    }
}
if($_REQUEST['contact_email']) {
    $query_contact = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_email']);
    $res_contact = $vtod->query($query_contact);
    if(isset($res_contact[0]['id'])) {
        $dealArr['contact_id'] = $res_contact[0]['id'];
        $contactP = $vtod->retrieve($res_contact[0]['id']);
        $contactP['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactP['firstname'] = $_REQUEST['first_name'];
        $contactP['lastname'] = $_REQUEST['last_name'];
        $contactP['cf_contacts_confirmationstatus'] = 'Complete';
        $contactP['cf_contacts_confirmationform'] = 'Existing School (Digital Only)';
        if($dealArr['related_to']) {
            $contactP['account_id'] = $dealArr['related_to'];
        }
        $contactJson = json_encode($contactP);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $contactJson
        );
        $dataContactP = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
    } else {
        #create new Contact
        $contactArr = [];
        $contactArr['firstname'] = $_REQUEST['first_name'];
        $contactArr['lastname'] = $_REQUEST['last_name'];
        $contactArr['email'] = $_REQUEST['contact_email'];
        if($dealArr['related_to']) {
            $contactArr['account_id'] = $dealArr['related_to'];
        }
        $contactArr['contacttype'] = 'Sales Qualified Lead';
        $contactArr['assigned_user_id'] = '19x1';
        $contactArr['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactArr['cf_contacts_type'] = 'Primary';
        $contactArr['cf_contacts_confirmationstatus'] = 'Complete';
        $contactArr['cf_contacts_confirmationform'] = 'Existing School (Digital Only)';
        $objectContactJson = json_encode($contactArr);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectContactJson,
            "elementType" => 'Contacts',
        );
        $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
        $resultContact = json_decode($dataContact);
        if ($resultContact->result->id) {
            $dealArr['contact_id'] = $resultContact->result->id;
        }
    }
}

//task_id=54029
$numberofstudents =  $_REQUEST['cf_potentials_numberofstudents'];
//Also update the Deal."Org Type" to always be 'School - Existing'
$dealArr['cf_potentials_orgtype'] = 'School - Existing';

//Also update the Deal."Number of Participants" to be equal to the required field in the form "How many students will be participating in the 2023 program?"
// mapping values
$array_mapping = array(
    array('','','Hugh Parent Webinar','Parent and Carer Webinar with Hugh','SER78','500'),
    array('','','Martin Parent Webinar','Parent and Carer Webinar with Martin','SER79','500'),
    array('','','Parent TRP In Action','TRP In Action Webinar for Parents and Carers','SER30','500'),
    array('','','Connected Parenting Workshop','Connected Parenting Workshop','SER31','1900'),
    array('','Hugh Digital','','Inspire: Digital Presentations with Hugh','SER18','3500'),
    array('','Martin Digital','','Inspire: Digital Presentations with Martin','SER19','3500'),
    array('','','Teacher Wellbeing Workshop (Self)','Teacher Wellbeing Workshop: Looking after ourselves','SER24','1900'),
    array('','','Teacher Wellbeing Workshop (Others)','Teacher Wellbeing Workshop: Looking after each other','SER25','1900'),
    array('Planners','','','Engage: Teaching and Learning Program (Planners)','SER65','13'),
    array('','Hugh/Martin Digital','','Inspire: Digital Presentations with Hugh and Martin','SER67','3500'),
    array('Journals','','','Engage: Teaching and Learning Program','SER12','19'),
    array('','','Teacher Wellbeing Program','Teacher Wellbeing Program','SER23','3500'),
    array('','','Connected Parenting Webinar','Connected Parenting Webinar','SER32','500'),
    array('','','Teacher Wellbeing Webinar (Self)','Teacher Wellbeing Webinar: Looking after ourselves','SER26','500'),
    array('','','Teacher Wellbeing Webinar (Others)','Teacher Wellbeing Webinar: Looking after each other','SER27','500'),
);

$array_services = array('Parent and Carer Webinar with Hugh',
    'Parent and Carer Webinar with Martin',
    'TRP In Action Webinar for Parents and Carers',
    'Connected Parenting Workshop',
    'Inspire: Digital Presentations with Hugh',
    'Inspire: Digital Presentations with Martin',
    'Teacher Wellbeing Workshop: Looking after ourselves',
    'Teacher Wellbeing Workshop: Looking after each other',
    'Engage: Teaching and Learning Program (Planners)',
    'Inspire: Digital Presentations with Hugh and Martin',
    'Engage: Teaching and Learning Program',
    'Teacher Wellbeing Program',
    'Connected Parenting Webinar',
    'Teacher Wellbeing Webinar (Self)',
    'Teacher Wellbeing Webinar (Others)',
);

$array_services_map = array('Parent and Carer Webinar with Hugh'=>'extra_program_6',
    'Parent and Carer Webinar with Martin'=>'extra_program_6',
    'TRP In Action Webinar for Parents and Carers'=>'extra_program_5',
    'Connected Parenting Workshop'=>'',
    'Inspire: Digital Presentations with Hugh'=>'inspire_program',
    'Inspire: Digital Presentations with Martin'=>'inspire_program',
    'Teacher Wellbeing Workshop: Looking after ourselves'=>'',
    'Teacher Wellbeing Workshop: Looking after each other'=>'',
    'Engage: Teaching and Learning Program (Planners)'=>'school_lesson',
    'Inspire: Digital Presentations with Hugh and Martin'=>'inspire_program',
    'Engage: Teaching and Learning Program'=>'school_lesson',
    'Teacher Wellbeing Program'=>'extra_program_1',
    'Connected Parenting Webinar'=>'extra_program_4',
    'Teacher Wellbeing Webinar (Self)'=>'extra_program_2',
    'Teacher Wellbeing Webinar (Others)'=>'extra_program_3',
) ;
 
$array_fields = array(
    'cf_potentials_curriculum'=>'Curriculum',
    'cf_potentials_presentations'=>'Presentations',
    'cf_potentials_additionaloptions'=>'Additional Options',
    ''=>'',
    
);

$cf_potentials_curriculum = $cf_potentials_presentations = $cf_potentials_additionaloptions = array();

// check in the form
$school_lesson = $_REQUEST['school_lesson'];
$inspire_program = $_REQUEST['inspire_program'];
$presenter_inspire_program = $_REQUEST['presenter_inspire_program'];
$extra_program_1 = $_REQUEST['extra_program_1'];
$extra_program_2 = $_REQUEST['extra_program_2'];
$extra_program_3 = $_REQUEST['extra_program_3'];
$extra_program_4 = $_REQUEST['extra_program_4'];
$extra_program_5 = $_REQUEST['extra_program_5'];
$extra_program_6 = $_REQUEST['extra_program_6'];
$extra_program_7 = $_REQUEST['extra_program_7'];
$extra_program_8 = $_REQUEST['extra_program_8'];
$extra_program_9 = $_REQUEST['extra_program_9'];
$presenter_program_6 = $_REQUEST['presenter_program_6'];

$add_services = array();

foreach ($array_services_map as $service_name => $form_field){
    
    if ( $form_field == 'school_lesson' ){
        if (strpos( $service_name, 'Planners') > 0 && $school_lesson == 'Planners'){
            $add_services[] = $service_name;
        }
        else if (strpos( $service_name, 'Planners') ===false &&  $school_lesson != 'Planners' && ( $school_lesson == 'Journals' || empty($$form_field)) ) { //
            $add_services[] = $service_name;
        }
    }
    else if ( !empty($$form_field) && strlen( trim($$form_field )) > 0  ){
        if ( $form_field == 'extra_program_6' ){
            if ( strpos($presenter_program_6, 'Hugh') !==false && strpos($service_name, 'Hugh') >0 ){
                $add_services[] = $service_name;
            }
            else if ( strpos($presenter_program_6, 'Martin') !==false && strpos($service_name, 'Martin') >0 ){
                $add_services[] = $service_name;
            }
            
        }
        else if ( $form_field == 'inspire_program' &&  $inspire_program == 'Yes'){
            // check $presenter_inspire_program and $service_name
            //             echo $presenter_inspire_program,'--',$service_name,'<br>' ;
            
            if ( strpos($presenter_inspire_program, 'Hugh and Martin') !==false && strpos($service_name, 'Hugh and Martin') >0 ){
                //                 echo 1;
                $add_services[] = $service_name;
            }
            else if ( strpos($presenter_inspire_program, 'Hugh') !==false && strpos($service_name, 'Hugh') >0  && strpos($presenter_inspire_program, 'Martin') ===false && strpos($service_name, 'Martin')===false  ){
                //                 echo 2 ;
                $add_services[] = $service_name;
            }
            else if ( strpos($presenter_inspire_program, 'Martin') !==false && strpos($service_name, 'Martin') >0  && strpos($presenter_inspire_program, 'Hugh') ===false && strpos($service_name, 'Hugh')===false  ){
                //                 echo 3;
                $add_services[] = $service_name;
            }
            
        }
        
        else if ( strpos($form_field, 'extra_program') !==false){
            $add_services[] = $service_name;
        }
    }
}
// print_r($add_services);
putlog('adding services');
putlog($add_services);
foreach ($array_services as $k => $service){
    if (in_array($service , $add_services)){
        foreach ($array_mapping as $values){
            if (in_array($service , $values)){
                // query service id by service_no
                $query_service  = sprintf("SELECT * FROM Services WHERE service_no='%s' LIMIT 1; ",$values[4]);
                $res_service = $vtod->query($query_service);
                if(isset($res_service[0]['id'])) {
                    $serviceid = $res_service[0]['id'];
                    //                     echo '--', $serviceid , '--';
                    $price = (float)$values[5];
                    $tax_GST = 0;// $price * 0.1;
                    $unit_price = $price + $tax_GST;
                  
                    if($serviceid) {
                        if (strpos($service, 'Engage: ') !==false){
                            $lineItem[] = array(
                                'productid' => $serviceid,
                                'quantity' => $numberofstudents,
                                'listprice' => $unit_price,
                                'duration' => '1'
                            );
                            $lineItemQuote[] = array(
                                'productid' => $serviceid,
                                'quantity' => $numberofstudents,
                                'listprice' => $price,
                                'duration' => '1'
                            );
                            $grandTotal += $numberofstudents * $unit_price;
                        }
                        else {
                            $lineItem[] = array(
                                'productid' => $serviceid,
                                'quantity' => '1',
                                'listprice' => $unit_price,
                                'duration' => '1'
                            );
                            $lineItemQuote[] = array(
                                'productid' => $serviceid,
                                'quantity' => '1',
                                'listprice' => $price,
                                'duration' => '1'
                            );
                            $grandTotal += $unit_price;
                        }
                    }
                    
                }
                foreach ($values as $i => $v){
                    if (!empty($v) ){
                        if ($i==0){
                            $cf_potentials_curriculum[]= $v;
                        }
                        if ($i==1){
                            $cf_potentials_presentations[]= $v;
                        }
                        if ($i==2){
                            $cf_potentials_additionaloptions[]= $v;
                        }
                        
                    }
                }
            }
        }
    }
}

if($_REQUEST['school_type'] == 'Primary' || $_REQUEST['school_type'] == 'K-12') {
    $dealArr['cf_potentials_curriculum'] = 'Journals';
} else {
    $dealArr['cf_potentials_curriculum'] = (empty($cf_potentials_curriculum))?'':implode(' |##| ', $cf_potentials_curriculum);
}
$dealArr['cf_potentials_presentations'] = (empty($cf_potentials_presentations))?'':implode(' |##| ', $cf_potentials_presentations);
$dealArr['cf_potentials_additionaloptions'] = (empty($cf_potentials_additionaloptions))?'':implode(' |##| ', $cf_potentials_additionaloptions);

$dealArr['amount'] = (float)$grandTotal;
$dealArr['amount_currency_value'] = (float)$grandTotal;
$dealArr['LineItems'] = $lineItem;
$dealArr['hdnSubTotal'] = (float)$grandTotal;
$dealArr['hdnGrandTotal'] = (float)$grandTotal;

putlog('adding deal');
putlog($dealArr);


$objectJson = json_encode($dealArr);
$params = array(
    "sessionName" => $vtod->sessionId,
    "operation" => 'create',
    "element" => $objectJson,
    "elementType" => 'Potentials',
);
$data_potential = $vtod->curlPost($vtconfig_url . "webservice.php", $params);
$result_arr = json_decode($data_potential);
if ($result_arr->result->id) {
    $potentialId = $result_arr->result->id;
    $quoteArr = [];
    if($potentialId) {
        #create Contact second
        if($_REQUEST['contact_email2']) {
            $query_contact2 = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_email2']);
            $res_contact2 = $vtod->query($query_contact2);
            if(!isset($res_contact2[0]['id'])) {
                #create new Contact
                $contact2Arr = [];
                $contact2Arr['firstname'] = $_REQUEST['first_name2'];
                $contact2Arr['lastname'] = $_REQUEST['last_name2'];
                $contact2Arr['cf_contacts_type'] = 'Billing';
                $contact2Arr['email'] = $_REQUEST['contact_email2'];
                if($dealArr['related_to']) {
                    $contact2Arr['account_id'] = $dealArr['related_to'];
                }
                $contact2Arr['cf_contacts_dealname'] = $potentialId;
                $contact2Arr['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
                $contact2Arr['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
                $contact2Arr['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
                $contact2Arr['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
                $contact2Arr['contacttype'] = 'Sales Qualified Lead';
                $contact2Arr['assigned_user_id'] = '19x1';
                $contact2Arr['cf_contacts_confirmationurlnew'] = $confirm_url;
                $contactArr['cf_contacts_type'] = 'Primary';
                $contactArr['cf_contacts_confirmationform'] = 'Existing School (Digital Only)';
                $objectContact2Json = json_encode($contact2Arr);
                $contact2Params = array(
                    "sessionName" => $vtod->sessionId,
                    "operation" => 'create',
                    "element" => $objectContact2Json,
                    "elementType" => 'Contacts',
                );
                $dataContact2 = $vtod->curlPost($vtconfig_url . "webservice.php", $contact2Params);
                $resultContact2 = json_decode($dataContact2,1);
                if ($resultContact2['result']['id']) {
                    $dealArr['cf_potentials_billingcontact'] = $resultContact2['result']['id'];
                    $updateDealJson = json_encode($dealArr);
                    $updateDealParams = array(
                        "sessionName" => $vtod->sessionId,
                        "operation" => 'update',
                        "element" => $updateDealJson
                    );
                    $dataUpdateDeal = $vtod->curlPost($vtconfig_url . "webservice.php", $updateDealParams);
                }
            }
        }
        $billingContactEmail = '';
        if($dealArr['cf_potentials_billingcontact']) {
            $billingContact =  $vtod->retrieve($dealArr['cf_potentials_billingcontact']);
            if($billingContact) {
                $billingContactEmail = $billingContact['email'];
            }
        }
        #create Quote record
        if((int)$_REQUEST['cf_potentials_numberofstudents']>=200) {
            $quoteArr['subject'] = str_replace('Deal:', 'Quote:', $_REQUEST['potentialname']);
            $quoteArr['potential_id'] = $potentialId;
            $quoteArr['quotestage'] = 'New';
            $quoteArr['account_id'] = $dealArr['related_to'];
            $quoteArr['contact_id'] = $dealArr['contact_id'];
            $quoteArr['cf_quotes_contactemail'] = $_REQUEST['contact_email'];
            $quoteArr['cf_quotes_billingcontactname'] = $dealArr['cf_potentials_billingcontact'];
            $quoteArr['cf_quotes_billingcontactemail'] = $billingContactEmail;
            $quoteArr['cf_quotes_program'] = $dealArr['cf_potentials_program'];
            $quoteArr['cf_quotes_type'] = $dealArr['cf_potentials_orgtype'];
            if ($_REQUEST['cf_potentials_schooladdress']) {
                $quoteArr['bill_street'] = $_REQUEST['cf_potentials_schooladdress'];
                $quoteArr['ship_street'] = $_REQUEST['cf_potentials_schooladdress'];
            } else {
                if ($address_street) {
                    $quoteArr['bill_street'] = $address_street;
                    $quoteArr['ship_street'] = $address_street;
                }
            }
            $quoteArr['assigned_user_id'] = '19x20';
            $quoteArr['hdnTaxType'] = 'individual';
            $quoteArr['LineItems'] = $lineItemQuote;
            $objectQuoteJson = json_encode($quoteArr);
            $quoteParams = array(
                "sessionName" => $vtod->sessionId,
                "operation" => 'create',
                "element" => $objectQuoteJson,
                "elementType" => 'Quotes',
            );
            $dataQuote = $vtod->curlPost($vtconfig_url . "webservice.php", $quoteParams);
            $resultQuote = json_decode($dataQuote, 1);
            if ($resultQuote['result']['id']) {
                echo json_encode(array('success' => true, 'message' => $potentialId));
                exit;
            } else {
                echo json_encode(array('success' => false, 'message' => $resultQuote->error->message));
                exit;
            }
        }
    }
    echo json_encode(array('success'=>true,'message'=>$potentialId));
    exit;
} else {
    echo json_encode(array('success'=>false,'message'=>$result_arr->error->message));
    exit;
}

function get_contents($templateName, $variables) {
    $template = file_get_contents($templateName);

    foreach($variables as $key => $value)
    {
        $template = str_replace('{{ '.$key.' }}', $value, $template);
    }
    return $template;
}

function getLineItemContent($data) {
    $html_content = '';
    foreach($data as $k => $val) {
        $html_content .= '<tr>
			<td style=" background:#fff;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['sequence_no'].'</span></td>
			<td style="text-align:left; border-bottom:2px solid white;border-right:2px solid white;">
			<h3><span style="font-family:verdana,geneva,sans-serif;">'.$val['product_name'].'</span></h3>
			<span style="font-family:verdana,geneva,sans-serif;">'.$val['description'].'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.number_format($val['listprice']).'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['quantity'].'</span></td>
			<td style="border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;"><strong>'.number_format($val['netprice']).'</strong></span></td>
		</tr>';
    }

    return $html_content;
}