<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE| E_WARNING | E_PARSE |E_DEPRECATED) );

chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");
 
$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$dealArr = [];
$lineItem = [];
$grandTotal = 0;
$address_street = '';
putlog('adding request');
putlog($_REQUEST);
$extra_program_2 = $_REQUEST['extra_program_2'];
$extra_program_4 = $_REQUEST['extra_program_4'];
$extra_program_6 = $_REQUEST['extra_program_6'];
if($_REQUEST['potentialname']) {
    $_REQUEST['potentialname'] = urldecode($_REQUEST['potentialname']);
}
if($_REQUEST['org_name']) {
    $_REQUEST['org_name'] = urldecode($_REQUEST['org_name']);
}
$dealArr['potentialname'] = "2024 School Partnership Program";

#task_id: 55085
if($_REQUEST['cf_potentials_schoolstate'] == 'Australian Capital Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'ACT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'New South Wales') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NSW';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Northern Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Queensland') {
    $_REQUEST['cf_potentials_schoolstate'] = 'QLD';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'South Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'SA';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Tasmania') {
    $_REQUEST['cf_potentials_schoolstate'] = 'TAS';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Victoria') {
    $_REQUEST['cf_potentials_schoolstate'] = 'VIC';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Western Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'WA';
}
#end task_id: 55085
$dealArr['cf_potentials_numberofparticipants'] = $_REQUEST['cf_potentials_numberofstudents'];
$dealArr['closingdate'] = date('d-m-Y');
$dealArr['pipeline'] = 'Standard';
$dealArr['cf_potentials_program'] = 'Early Years';
$dealArr['assigned_user_id'] = '19x24';
$dealArr['cf_potentials_schooladdress'] = $_REQUEST['cf_potentials_schooladdress'];
$dealArr['cf_potentials_schoolcity'] = $_REQUEST['cf_potentials_schoolcity'];
$dealArr['cf_potentials_state'] = $_REQUEST['cf_potentials_schoolstate'];
$dealArr['cf_potentials_schoolpostcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
if($_REQUEST['school_mental_health'] == 'Yes') {
    $dealArr['cf_potentials_schoolmentalhealthfunding'] = $_REQUEST['school_mental_health'];
} else {
    $dealArr['cf_potentials_schoolmentalhealthfunding'] = 'No';
}
//task_id=53949
$numberofstudents =  $_REQUEST['cf_potentials_numberofstudents'];
//Also update the Deal."Org Type" to always be 'School - Existing'
$dealArr['cf_potentials_orgtype'] = 'School - Existing';

//Also update the Deal."Number of Participants" to be equal to the required field in the form "How many students will be participating in the 2023 program?"
$dealArr['cf_potentials_numberofparticipants'] = $numberofstudents;

##################################################
// mapping values
$serviceArr = [];
$inspire = [];
$engage = [];
$extend = [];
if($_REQUEST['school_type'] == 'Primary' || $_REQUEST['school_type'] == 'K-12' || ($_REQUEST['school_type'] == 'Secondary' && $_REQUEST['school_lesson'] == 'Journals')) {
    $serviceArr['school_lesson'] = array(
        'serviceNo' => 'SER12',
        'qty' => 1
    );
    $engage[] = 'Journals';
} else {
    $serviceArr['school_lesson'] = array(
        'serviceNo' => 'SER65',
        'qty' => 1
    );
    $engage[] = 'Planners';
}
if($_REQUEST['presenter_inspire_program']) {
    $inspire_programSN = '';
    if(strpos($_REQUEST['presenter_inspire_program'], 'Hugh van Cuylenburg & Martin Heppell ') !== false) {
        $inspire_programSN = 'SER67';
        $inspire[] = 'Hugh/Martin Digital';
    } else {
        if(strpos($_REQUEST['presenter_inspire_program'], 'Hugh') !== false) {
            $inspire_programSN = 'SER18';
            $inspire[] = 'Hugh Digital';
        } elseif(strpos($_REQUEST['presenter_inspire_program'], 'Martin') !== false) {
            $inspire_programSN = 'SER19';
            $inspire[] = 'Martin Digital';
        }
    }
    $serviceArr['presenter_inspire_program'] = array(
        'serviceNo' => $inspire_programSN,
        'qty' => 1
    );
}
if($_REQUEST['extra_program_1']) {
    $serviceArr['extra_program_1'] = array(
        'serviceNo' => 'SER23',
        'qty' => 1
    );
    $extend[] = 'Teacher Wellbeing Program';
}
if($_REQUEST['extra_program_2']) {
    $serviceArr['extra_program_2'] = array(
        'serviceNo' => 'SER26',
        'qty' => 1
    );
    $extend[] = 'Teacher Wellbeing Webinar (Self)';
}
if($_REQUEST['extra_program_3']) {
    $serviceArr['extra_program_3'] = array(
        'serviceNo' => 'SER27',
        'qty' => 1
    );
    $extend[] = 'Teacher Wellbeing Webinar (Others)';
}
if($_REQUEST['extra_program_4']) {
    $serviceArr['extra_program_4'] = array(
        'serviceNo' => 'SER32',
        'qty' => 1
    );
    $extend[] = 'Connected Parenting Webinar';
}
if($_REQUEST['extra_program_5']) {
    $serviceArr['extra_program_5'] = array(
        'serviceNo' => 'SER30',
        'qty' => 1
    );
    $extend[] = 'Parent TRP In Action';
}
if($_REQUEST['extra_program_6']) {
    if(strpos($_REQUEST['extra_program_6_user'], 'Hugh') !== false) {
        $serviceArr['extra_program_6'] = array(
            'serviceNo' => 'SER129',
            'qty' => 1
        );
        $extend[] = 'Hugh Parent Webinar';
    } elseif(strpos($_REQUEST['extra_program_6_user'], 'Martin') !== false) {
        $serviceArr['extra_program_6'] = array(
            'serviceNo' => 'SER130',
            'qty' => 1
        );
        $extend[] = 'Martin Parent Webinar';
    }
}
if($_REQUEST['extra_program_7']) {
    $serviceArr['extra_program_7'] = array(
        'serviceNo' => 'SER117',
        'qty' => 1
    );
}
if($_REQUEST['extra_program_8']) {
    $serviceArr['extra_program_8'] = array(
        'serviceNo' => 'SER120',
        'qty' => 1
    );
}
if($_REQUEST['extra_program_9']) {
    if(strpos($_REQUEST['extra_program_9_user'], 'Hugh') !== false) {
        $serviceArr['extra_program_9'] = array(
            'serviceNo' => 'SER131',
            'qty' => 1
        );
    } elseif(strpos($_REQUEST['extra_program_9_user'], 'Martin') !== false) {
        $serviceArr['extra_program_9'] = array(
            'serviceNo' => 'SER132',
            'qty' => 1
        );
    }
}
if($_REQUEST['inspire_extends'] == 'Teacher Wellbeing Webinar - Looking after ourselves (online)') {
    $serviceArr['inspire_extends'] = array(
        'serviceNo' => 'SER121',
        'qty' => 1
    );
} elseif($_REQUEST['inspire_extends'] == 'Teacher Wellbeing Webinar - Looking after each other (online)') {
    $serviceArr['inspire_extends'] = array(
        'serviceNo' => 'SER122',
        'qty' => 1
    );
} elseif($_REQUEST['inspire_extends'] == 'Connected Parenting Webinar with Lael Stone (online)') {
    $serviceArr['inspire_extends'] = array(
        'serviceNo' => 'SER123',
        'qty' => 1
    );
} elseif($_REQUEST['inspire_extends'] == 'TRP In Action Webinar for Parents (online)') {
    $serviceArr['inspire_extends'] = array(
        'serviceNo' => 'SER124',
        'qty' => 1
    );
} elseif($_REQUEST['inspire_extends'] == 'Authentic Connection Staff Webinar with Hugh or Martin (online)') {
    if(strpos($_REQUEST['ac_staff_user'], 'Hugh') !== false) {
        $serviceArr['inspire_extends'] = array(
            'serviceNo' => 'SER125',
            'qty' => 1
        );
    } elseif(strpos($_REQUEST['ac_staff_user'], 'Martin') !== false) {
        $serviceArr['inspire_extends'] = array(
            'serviceNo' => 'SER126',
            'qty' => 1
        );
    }
} elseif($_REQUEST['inspire_extends'] == 'Authentic Connection Parent Webinar with Hugh or Martin (online)') {
    if(strpos($_REQUEST['ac_parent_user'], 'Hugh') !== false) {
        $serviceArr['inspire_extends'] = array(
            'serviceNo' => 'SER127',
            'qty' => 1
        );
    } elseif(strpos($_REQUEST['ac_parent_user'], 'Martin') !== false) {
        $serviceArr['inspire_extends'] = array(
            'serviceNo' => 'SER128',
            'qty' => 1
        );
    }
}
putlog('adding services');
putlog($serviceArr);
$grandTotal = 0;
$lineItem = [];
foreach ($serviceArr as $k => $service) {
    $qtyS = $service['qty'];
    $serviceNo = $service['serviceNo'];
    $query_service  = sprintf("SELECT * FROM Services WHERE service_no='%s' LIMIT 1; ",$serviceNo);
    $res_service = $vtod->query($query_service);
    $service_xerocode = '';
    if(isset($res_service[0]['id'])) {
        $serviceid = $res_service[0]['id'];
        $service_name = $res_service[0]['servicename'];
        $service_xerocode = $res_service[0]['cf_services_xerocode'];
        $unit_price = (float)$res_service[0]['unit_price'];
        if($serviceid) {
            if (strpos($service_name, 'Engage:') !==false){
                $lineItem[] = array(
                    'productid' => $serviceid,
                    'quantity' => $numberofstudents,
                    'listprice' => $unit_price,
                    'cf_quotes_xerocode' => $service_xerocode,
                    'duration' => '1'
                );
                $grandTotal += $numberofstudents * $unit_price;
            }
            else {
                $lineItem[] = array(
                    'productid' => $serviceid,
                    'quantity' => 1,
                    'listprice' => $unit_price,
                    'cf_quotes_xerocode' => $service_xerocode,
                    'duration' => '1'
                );
                $grandTotal += $unit_price;
            }
        }
    }
}
$inspire = array_unique($inspire);
$engage = array_unique($engage);
$extend = array_unique($extend);
$dealArr['cf_potentials_presentations'] = (empty($inspire))?'':implode(' |##| ', $inspire);
if($_REQUEST['school_type'] == 'Primary' || $_REQUEST['school_type'] == 'K-12' || ($_REQUEST['school_type'] == 'Secondary' && $_REQUEST['school_lesson'] == 'Journals')) {
    $dealArr['cf_potentials_curriculum'] = 'Journals';
} else {
    $dealArr['cf_potentials_curriculum'] = (empty($engage))?'':implode(' |##| ', $engage);
}
$dealArr['cf_potentials_additionaloptions'] = (empty($extend))?'':implode(' |##| ', $extend);

$dealArr['amount'] = (float)$grandTotal;
$dealArr['amount_currency_value'] = (float)$grandTotal;
$dealArr['LineItems'] = $lineItem;
$dealArr['hdnSubTotal'] = (float)$grandTotal;
$dealArr['hdnGrandTotal'] = (float)$grandTotal;

##################################################

$confirm_url = "https://forms.theresilienceproject.com.au/existing-school-confirmation-form-2024-digital/?org_name=".rawurlencode($_REQUEST['org_name'])."&contact_first_name=".rawurlencode($_REQUEST['first_name'])."&contact_last_name=".rawurlencode($_REQUEST['last_name'])."&contact_email=".$_REQUEST['contact_email']."&address=".rawurlencode($_REQUEST['cf_potentials_schooladdress'])."&city=".rawurlencode($_REQUEST['cf_potentials_schoolcity'])."&state=".rawurlencode($_REQUEST['cf_potentials_schoolstate'])."&zip_code=".$_REQUEST['cf_potentials_schoolpostcode'];
$flg_update = 0;
if($_REQUEST['org_name']) {
    if(strpos($_REQUEST['org_name'], "'s") !== false) {
        $org_name = str_replace("'s","\'s",$_REQUEST['org_name']);
    } else {
        $org_name = $_REQUEST['org_name'];
    }
    $query_org  = sprintf("SELECT * FROM Accounts WHERE accountname='%s' LIMIT 1; ",$org_name);
    $res_org = $vtod->query($query_org);
    if(isset($res_org[0]['id'])) {
        $dealArr['related_to'] = $res_org[0]['id'];
        $orgP = $vtod->retrieve($res_org[0]['id']);
        
        $address_street = $orgP['cf_accounts_address'];
        $orgP['cf_accounts_confirmationurl'] = $confirm_url;
        $orgP['cf_accounts_2024confirmationstatus'] = 'Confirmed';
        $orgPJson = json_encode($orgP);
        $org_Params = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $orgPJson
        );
        $dataOrgP = $vtod->curlPost($vtconfig_url . "webservice.php", $org_Params);

        #check existence Deal Record link to Org
        $queryDealRecord  = sprintf("SELECT * FROM Potentials WHERE related_to='%s' LIMIT 1; ",$res_org[0]['id']);
        $resDeal = $vtod->query($queryDealRecord);
        if($resDeal[0]['id'] && $resDeal[0]['sales_stage'] && ($resDeal[0]['sales_stage'] == 'New' || $resDeal[0]['sales_stage'] == 'Considering' || $resDeal[0]['sales_stage'] == 'Ready to close')) {
            $flg_update = 1;
            $updateDealId = $resDeal[0]['id'];
        }
    } else {
        #create new Org
        $orgArr = [];
        $orgArr['accountname'] = $_REQUEST['org_name'];
        $orgArr['cf_accounts_yearswithtrp'] = '2022';
        $orgArr['cf_accounts_organisationtype'] = 'Early Years Centre';
        $orgArr['cf_accounts_2024confirmationstatus'] = 'Confirmed';
        $orgArr['assigned_user_id'] = '19x1';
        $orgArr['cf_accounts_confirmationurl'] = $confirm_url;
        $objectOrgJson = json_encode($orgArr);
        $orgParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectOrgJson,
            "elementType" => 'Accounts',
        );
        $dataOrg = $vtod->curlPost($vtconfig_url . "webservice.php", $orgParams);
        $resultOrg = json_decode($dataOrg);
        if ($resultOrg->result->id) {
            $dealArr['related_to'] = $resultOrg->result->id;
        }
    }
}
if($_REQUEST['contact_email']) {
    $query_contact = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_email']);
    $res_contact = $vtod->query($query_contact);
    if(isset($res_contact[0]['id'])) {
        $dealArr['contact_id'] = $res_contact[0]['id'];
        $contactP = $vtod->retrieve($res_contact[0]['id']);
        $contactP['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactP['firstname'] = $_REQUEST['first_name'];
        $contactP['lastname'] = $_REQUEST['last_name'];
        $contactP['cf_contacts_confirmationstatus'] = 'Complete';
        $contactP['cf_contacts_confirmationform'] = 'Existing School (Digital Only)';
        if($dealArr['related_to']) {
            $contactP['account_id'] = $dealArr['related_to'];
        }
        $contactJson = json_encode($contactP);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $contactJson
        );
        $dataContactP = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
        #check existence Deal Record link to Org
        $queryDealRecord  = sprintf("SELECT * FROM Potentials WHERE contact_id='%s' LIMIT 1; ",$res_contact[0]['id']);
        $resDeal = $vtod->query($queryDealRecord);
        if(!$updateDealId && $resDeal[0]['id'] && $resDeal[0]['sales_stage'] && ($resDeal[0]['sales_stage'] == 'New' || $resDeal[0]['sales_stage'] == 'Considering' || $resDeal[0]['sales_stage'] == 'Ready to close')) {
            $flg_update = 1;
            $updateDealId = $resDeal[0]['id'];
        }
    } else {
        #create new Contact
        $contactArr = [];
        $contactArr['firstname'] = $_REQUEST['first_name'];
        $contactArr['lastname'] = $_REQUEST['last_name'];
        $contactArr['email'] = $_REQUEST['contact_email'];
        $contactArr['cf_contacts_confirmationform'] = 'Existing School (Digital Only)';
        if($dealArr['related_to']) {
            $contactArr['account_id'] = $dealArr['related_to'];
        }
        $contactArr['contacttype'] = 'Sales Qualified Lead';
        $contactArr['assigned_user_id'] = '19x1';
        $contactArr['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactArr['cf_contacts_type'] = 'Primary';
        $contactArr['cf_contacts_confirmationstatus'] = 'Complete';
        $objectContactJson = json_encode($contactArr);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectContactJson,
            "elementType" => 'Contacts',
        );
        $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
        $resultContact = json_decode($dataContact);
        if ($resultContact->result->id) {
            $dealArr['contact_id'] = $resultContact->result->id;
        }
    }
}
putlog('flg_update:');
putlog($flg_update);
putlog('updateDealId:');
putlog($updateDealId);
$dealArr['sales_stage'] = 'Deal Won';
if($flg_update && $updateDealId) {
    $dealArr['id'] = $updateDealId;
    putlog('adding deal');
    putlog($dealArr);
    $updateDJson = json_encode($dealArr);
    $updateDParams = array(
        "sessionName" => $vtod->sessionId,
        "operation" => 'update',
        "element" => $updateDJson
    );
    $dataUpdateDeal = $vtod->curlPost($vtconfig_url . "webservice.php", $updateDParams);
    putlog('create deal status:');
    putlog($dataUpdateDeal);
    $result_arr = json_decode($dataUpdateDeal);
    $potentialId = $result_arr->result->id;
} else {
    putlog('adding deal');
    putlog($dealArr);
    $objectJson = json_encode($dealArr);
    $params = array(
        "sessionName" => $vtod->sessionId,
        "operation" => 'create',
        "element" => $objectJson,
        "elementType" => 'Potentials',
    );
    $data_potential = $vtod->curlPost($vtconfig_url . "webservice.php", $params);
    putlog('create deal status:');
    putlog($data_potential);
    $result_arr = json_decode($data_potential);
    $potentialId = $result_arr->result->id;
}


if ($potentialId) {
    $quoteArr = [];
    #create Contact second
    if($_REQUEST['contact_email2']) {
        $query_contact2 = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_email2']);
        $res_contact2 = $vtod->query($query_contact2);
        if(!isset($res_contact2[0]['id'])) {
            #create new Contact
            $contact2Arr = [];
            $contact2Arr['firstname'] = $_REQUEST['first_name2'];
            $contact2Arr['lastname'] = $_REQUEST['last_name2'];
            $contact2Arr['cf_contacts_type'] = 'Billing';
            $contact2Arr['email'] = $_REQUEST['contact_email2'];
            $contact2Arr['cf_contacts_confirmationform'] = 'Existing School (Digital Only)';
            if($dealArr['related_to']) {
                $contact2Arr['account_id'] = $dealArr['related_to'];
            }
            $contact2Arr['cf_contacts_dealname'] = $potentialId;
            $contact2Arr['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
            $contact2Arr['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
            $contact2Arr['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
            $contact2Arr['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
            $contact2Arr['contacttype'] = 'Sales Qualified Lead';
            $contact2Arr['assigned_user_id'] = '19x1';
            $contact2Arr['cf_contacts_confirmationurlnew'] = $confirm_url;
            $contactArr['cf_contacts_type'] = 'Primary';
            $objectContact2Json = json_encode($contact2Arr);
            $contact2Params = array(
                "sessionName" => $vtod->sessionId,
                "operation" => 'create',
                "element" => $objectContact2Json,
                "elementType" => 'Contacts',
            );
            $dataContact2 = $vtod->curlPost($vtconfig_url . "webservice.php", $contact2Params);
            $resultContact2 = json_decode($dataContact2,1);
            if ($resultContact2['result']['id']) {
                $dealArr['cf_potentials_billingcontact'] = $resultContact2['result']['id'];
                $updateDealJson = json_encode($dealArr);
                $updateDealParams = array(
                    "sessionName" => $vtod->sessionId,
                    "operation" => 'update',
                    "element" => $updateDealJson
                );
                $dataUpdateDeal = $vtod->curlPost($vtconfig_url . "webservice.php", $updateDealParams);
            }
        }
    }
    //create Quote Record
    $billingContactEmail = '';
    if($dealArr['cf_potentials_billingcontact']) {
        $billingContact =  $vtod->retrieve($dealArr['cf_potentials_billingcontact']);
        if($billingContact) {
            $billingContactEmail = $billingContact['email'];
        }
    }
    #create Quote record
    $quoteArr['subject'] = "2024 School Partnership Program";
    $quoteArr['potential_id'] = $potentialId;
    $quoteArr['quotestage'] = 'New';
    $quoteArr['account_id'] = $dealArr['related_to'];
    $quoteArr['contact_id'] = $dealArr['contact_id'];
    $quoteArr['cf_quotes_contactemail'] = $_REQUEST['contact_email'];
    $quoteArr['cf_quotes_billingcontactname'] = $dealArr['cf_potentials_billingcontact'];
    $quoteArr['cf_quotes_billingcontactemail'] = $billingContactEmail;
    $quoteArr['cf_quotes_program'] = $dealArr['cf_potentials_program'];
    $quoteArr['cf_quotes_type'] = $dealArr['cf_potentials_orgtype'];
    if ($_REQUEST['cf_potentials_schooladdress']) {
        $quoteArr['bill_street'] = $_REQUEST['cf_potentials_schooladdress'];
        $quoteArr['ship_street'] = $_REQUEST['cf_potentials_schooladdress'];
    } else {
        if ($address_street) {
            $quoteArr['bill_street'] = $address_street;
            $quoteArr['ship_street'] = $address_street;
        }
    }
    if($_REQUEST['cf_potentials_schoolstate'] == 'QLD' || $_REQUEST['cf_potentials_schoolstate'] == 'NSW') {
        $quoteArr['assigned_user_id'] = '19x33';
    } else {
        $quoteArr['assigned_user_id'] = '19x8';
    }
    $quoteArr['hdnTaxType'] = 'individual';
    $quoteArr['LineItems'] = $lineItem;
    $objectQuoteJson = json_encode($quoteArr);
    $quoteParams = array(
        "sessionName" => $vtod->sessionId,
        "operation" => 'create',
        "element" => $objectQuoteJson,
        "elementType" => 'Quotes',
    );
    $dataQuote = $vtod->curlPost($vtconfig_url . "webservice.php", $quoteParams);
    putlog('create quote');
    putlog($quoteArr);
    $resultQuote = json_decode($dataQuote, 1);
    if ($resultQuote['result']['id']) {
        echo json_encode(array('success' => true, 'message' => $potentialId));
        exit;
    } else {
        echo json_encode(array('success' => false, 'message' => $resultQuote->error->message));
        exit;
    }
    echo json_encode(array('success'=>true,'message'=>$potentialId));
    exit;
} else {
    echo json_encode(array('success'=>false,'message'=>$result_arr->error->message));
    exit;
}

function get_contents($templateName, $variables) {
    $template = file_get_contents($templateName);
    
    foreach($variables as $key => $value)
    {
        $template = str_replace('{{ '.$key.' }}', $value, $template);
    }
    return $template;
}

function getLineItemContent($data) {
    $html_content = '';
    foreach($data as $k => $val) {
        $html_content .= '<tr>
			<td style=" background:#fff;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['sequence_no'].'</span></td>
			<td style="text-align:left; border-bottom:2px solid white;border-right:2px solid white;">
			<h3><span style="font-family:verdana,geneva,sans-serif;">'.$val['product_name'].'</span></h3>
			<span style="font-family:verdana,geneva,sans-serif;">'.$val['description'].'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.number_format($val['listprice']).'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['quantity'].'</span></td>
			<td style="border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;"><strong>'.number_format($val['netprice']).'</strong></span></td>
		</tr>';
    }
    
    return $html_content;
}