<?php
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE) );/**/
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

putlog($_REQUEST);

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$dealArr = [];
if($_REQUEST['potentialname']) {
    $_REQUEST['potentialname'] = urldecode($_REQUEST['potentialname']);
} else {
    $_REQUEST['potentialname'] = urldecode($_REQUEST['org_name']);
}
if($_REQUEST['org_name']) {
    $_REQUEST['org_name'] = urldecode($_REQUEST['org_name']);
}
$dealArr['potentialname'] = "Deal: ".$_REQUEST['potentialname'];
$dealArr['closingdate'] = date('d-m-Y');
if($_REQUEST['program_start_date']) {
    $dateArr = explode('-',$_REQUEST['program_start_date']);
    $dateObject = DateTime::createFromFormat('!m', $dateArr[1]);
    $dealArr['cf_potentials_programstartdate'] = $dateObject->format('F');
}
$dealArr['pipeline'] = 'Standard';
$dealArr['sales_stage'] = 'Deal Won';
$dealArr['opportunity_type'] = 'Workplace';
$dealArr['assigned_user_id'] = '19x1';
$dealArr['cf_potentials_schooladdress'] = $_REQUEST['org_street'];
$dealArr['cf_potentials_schoolcity'] = $_REQUEST['org_city'];
$dealArr['cf_potentials_state'] = $_REQUEST['org_state'];
$dealArr['cf_potentials_schoolpostcode'] = $_REQUEST['org_postcode'];
$dealArr['cf_potentials_ponumber1'] = $_REQUEST['purchase_order_number'];
$fullName = $_REQUEST['contact_name'];
$firstName = '';
$lastName = '';
if($fullName) {
    $listFN = explode(" ",$fullName);
    $firstName = $listFN[0];
    for($i=1;$i<count($listFN);$i++) {
        $lastName .= $listFN[$i]." ";
    }
    $lastName = trim($lastName," ");
}
//$confirm_url = "https://forms.theresilienceproject.com.au/book-form/?org_name=".rawurlencode($_REQUEST['org_name'])."&contact_first_name=".rawurlencode($firstName)."&contact_last_name=".rawurlencode($lastName)."&email_address=".$_REQUEST['email_address']."&address=".rawurlencode($_REQUEST['org_street'])."&city=".rawurlencode($_REQUEST['org_city'])."&state=".rawurlencode($_REQUEST['org_state'])."&zip_code=".$_REQUEST['org_postcode'];

if($_REQUEST['org_name']) {
    if(strpos($_REQUEST['org_name'], "'s") !== false) {
        $org_name = str_replace("'s","\'s",$_REQUEST['org_name']);
    } else {
        $org_name = $_REQUEST['org_name'];
    }
    $query_org  = sprintf("SELECT * FROM Accounts WHERE accountname='%s' LIMIT 1; ",$org_name);
    $res_org = $vtod->query($query_org);
    if(isset($res_org[0]['id'])) {
        $dealArr['related_to'] = $res_org[0]['id'];
        $orgP = $vtod->retrieve($res_org[0]['id']);
//        $orgP['cf_accounts_confirmationurl'] = $confirm_url;
//        $orgP['cf_accounts_organisationtype'] = 'School';
        $orgP['cf_accounts_address'] = $_REQUEST['org_street'];
        $orgP['cf_accounts_city'] = $_REQUEST['org_city'];
        $orgP['cf_accounts_statenew'] = $_REQUEST['org_state'];
        $orgP['cf_accounts_zipcode'] = $_REQUEST['org_postcode'];
        $orgP['cf_accounts_country'] = $_REQUEST['org_country'];
        $orgPJson = json_encode($orgP);
        $org_Params = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $orgPJson
        );
        $dataOrgP = $vtod->curlPost($vtconfig_url . "webservice.php", $org_Params);
    } else {
        #create new Org
        $orgArr = [];
        $orgArr['accountname'] = $_REQUEST['org_name'];
        $orgArr['cf_accounts_yearswithtrp'] = '2022';
        $orgArr['cf_accounts_organisationtype'] = 'School';
        $orgArr['assigned_user_id'] = '19x1';
//        $orgArr['cf_accounts_confirmationurl'] = $confirm_url;
        $orgArr['cf_accounts_address'] = $_REQUEST['org_street'];
        $orgArr['cf_accounts_city'] = $_REQUEST['org_city'];
        $orgArr['cf_accounts_statenew'] = $_REQUEST['org_state'];
        $orgArr['cf_accounts_zipcode'] = $_REQUEST['org_postcode'];
        $orgArr['cf_accounts_country'] = $_REQUEST['org_country'];
        $objectOrgJson = json_encode($orgArr);
        $orgParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectOrgJson,
            "elementType" => 'Accounts',
        );
        $dataOrg = $vtod->curlPost($vtconfig_url . "webservice.php", $orgParams);
        $resultOrg = json_decode($dataOrg);
        if ($resultOrg->result->id) {
            $dealArr['related_to'] = $resultOrg->result->id;
        }
    }
}
if($_REQUEST['email_address']) {
    $query_contact = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['email_address']);
    $res_contact = $vtod->query($query_contact);
    if(isset($res_contact[0]['id'])) {
        $dealArr['contact_id'] = $res_contact[0]['id'];
        $contactP = $vtod->retrieve($res_contact[0]['id']);
//        $contactP['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactP['firstname'] = $firstName;
        $contactP['lastname'] = $lastName;
        $contactP['cf_contacts_customtitle'] = $_REQUEST['job_title'];
//        $contactP['cf_contacts_confirmationform'] = 'New School';
        if($dealArr['related_to']) {
            $contactP['account_id'] = $dealArr['related_to'];
        }
        $contactP['cf_contacts_address'] = $_REQUEST['org_street'];
        $contactP['cf_contacts_city'] = $_REQUEST['org_city'];
        $contactP['cf_contacts_statenew'] = $_REQUEST['org_state'];
        $contactP['cf_contacts_zipcode'] = $_REQUEST['org_postcode'];
        $contactP['cf_contacts_country'] = $_REQUEST['org_country'];
        $contactJson = json_encode($contactP);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $contactJson
        );
        $dataContactP = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
    } else {
        #create new Contact
        $contactArr = [];
        $contactArr['firstname'] = $firstName;
        $contactArr['lastname'] = $lastName;
        $contactArr['lastname'] = $lastName;
        $contactArr['email'] = $_REQUEST['email_address'];
        $contactArr['cf_contacts_customtitle'] = $_REQUEST['job_title'];
        if($dealArr['related_to']) {
            $contactArr['account_id'] = $dealArr['related_to'];
        }
        $contactArr['contacttype'] = 'Sales Qualified Lead';
        $contactArr['assigned_user_id'] = '19x1';
        putlog($contactArr);
        $objectContactJson = json_encode($contactArr);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectContactJson,
            "elementType" => 'Contacts',
        );
        $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
        $resultContact = json_decode($dataContact);
        if ($resultContact->result->id) {
            $dealArr['contact_id'] = $resultContact->result->id;
        }
    }
}

$dealArr['cf_potentials_orgtype'] = 'Workplace';

// mapping values
$serviceArr = [];
$inspire = [];
$engage = [];
$extend = [];
if($_REQUEST['wellbeing_ourselves_3500']) {
    $serviceArr['wellbeing_ourselves_3500'] = array(
        'serviceNo' => 'SER49',
        'qty' => $_REQUEST['wellbeing_ourselves_qty_3500'],
    );
    $extend[] = 'Wellbeing Workshop (Self)';
}
if($_REQUEST['wellbeing_ourselves_2500']) {
    $serviceArr['wellbeing_ourselves_2500'] = array(
        'serviceNo' => 'SER51',
        'qty' => $_REQUEST['wellbeing_ourselves_qty_2500'],
    );
    $extend[] = 'Wellbeing Webinar (Self)';
}
if($_REQUEST['wellbeing_other_3500']) {
    $serviceArr['wellbeing_other_3500'] = array(
        'serviceNo' => 'SER50',
        'qty' => $_REQUEST['wellbeing_other_qty_3500'],
    );
    $extend[] = 'Wellbeing Workshop (Others)';
}
if($_REQUEST['wellbeing_other_2500']) {
    $serviceArr['wellbeing_other_2500'] = array(
        'serviceNo' => 'SER92',
        'qty' => $_REQUEST['wellbeing_other_qty_2500'],
    );
    $extend[] = 'Wellbeing Webinar (Others)';
}
if($_REQUEST['connect_3500']) {
    $serviceArr['connect_3500'] = array(
        'serviceNo' => 'SER52',
        'qty' => $_REQUEST['connect_qty_3500'],
    );
    $extend[] = 'Connected Parenting Workshop';
}
if($_REQUEST['connect_2500']) {
    $serviceArr['connect_2500'] = array(
        'serviceNo' => 'SER53',
        'qty' => $_REQUEST['connect_qty_2500'],
    );
    $extend[] = 'Connected Parenting Webinar';
}
if($_REQUEST['connect_digital']) {
    $serviceArr['connect_digital'] = array(
        'serviceNo' => 'SER54',
        'qty' => $_REQUEST['connect_digital_qty'],
    );
    $extend[] = 'Connected Parenting Series';
}
$grandTotal = 0;
$lineItem = [];
foreach ($serviceArr as $k => $service) {
    $qtyS = $service['qty'];
    $serviceNo = $service['serviceNo'];
    $query_service  = sprintf("SELECT * FROM Services WHERE service_no='%s' LIMIT 1; ",$serviceNo);
    $res_service = $vtod->query($query_service);
    $service_xerocode = '';
    if(isset($res_service[0]['id'])) {
        $serviceid = $res_service[0]['id'];
        $service_xerocode = $res_service[0]['cf_services_xerocode'];
        $unit_price = (float)$res_service[0]['unit_price'];
        if($serviceid) {
            $lineItem[] = array(
                'productid' => $serviceid,
                'quantity' => $qtyS,
                'listprice' => $unit_price,
                'cf_quotes_xerocode' => $service_xerocode,
                'duration' => '1'
            );
            $grandTotal += $qtyS * $unit_price;
        }
    }
}
$inspire = array_unique($inspire);
$engage = array_unique($engage);
$extend = array_unique($extend);
$dealArr['cf_potentials_presentations'] = (empty($inspire))?'':implode(' |##| ', $inspire);
$dealArr['cf_potentials_curriculum'] = (empty($engage))?'':implode(' |##| ', $engage);
$dealArr['cf_potentials_additionaloptions'] = (empty($extend))?'':implode(' |##| ', $extend);

$dealArr['amount'] = (float)$grandTotal;
$dealArr['amount_currency_value'] = (float)$grandTotal;
$dealArr['LineItems'] = $lineItem;
$dealArr['hdnSubTotal'] = (float)$grandTotal;
$dealArr['hdnGrandTotal'] = (float)$grandTotal;

putlog('adding deal');
putlog($dealArr);

$objectJson = json_encode($dealArr);
$params = array(
    "sessionName" => $vtod->sessionId,
    "operation" => 'create',
    "element" => $objectJson,
    "elementType" => 'Potentials',
);
$data_potential = $vtod->curlPost($vtconfig_url . "webservice.php", $params);
putlog($data_potential);
$result_arr = json_decode($data_potential);
if ($result_arr->result->id) {
    $potentialId = $result_arr->result->id;
    #create Contact second
    if($_REQUEST['billing_email']) {
        $query_contact2 = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['billing_email']);
        $res_contact2 = $vtod->query($query_contact2);
        if(!isset($res_contact2[0]['id'])) {
            #create new Contact
            $contact2Arr = [];
            $contact2Arr['firstname'] = $_REQUEST['billing_firstname'];
            $contact2Arr['lastname'] = $_REQUEST['billing_lastname'];
            $contact2Arr['cf_contacts_type'] = 'Billing';
            $contact2Arr['email'] = $_REQUEST['billing_email'];
            if($dealArr['related_to']) {
                $contact2Arr['account_id'] = $dealArr['related_to'];
            }
            $contact2Arr['cf_contacts_dealname'] = $potentialId;
            $contact2Arr['cf_contacts_address'] = $dealArr['cf_potentials_schooladdress'];
            $contact2Arr['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
            $contact2Arr['cf_contacts_statenew'] = $dealArr['cf_potentials_schoolstate'];
            $contact2Arr['cf_contacts_zipcode'] = $dealArr['cf_potentials_schoolpostcode'];
            $contact2Arr['contacttype'] = 'Sales Qualified Lead';
            $contact2Arr['assigned_user_id'] = '19x1';
            $contactArr['cf_contacts_type'] = 'Primary';
            $objectContact2Json = json_encode($contact2Arr);
            $contact2Params = array(
                "sessionName" => $vtod->sessionId,
                "operation" => 'create',
                "element" => $objectContact2Json,
                "elementType" => 'Contacts',
            );
            $dataContact2 = $vtod->curlPost($vtconfig_url . "webservice.php", $contact2Params);
            $resultContact2 = json_decode($dataContact2,1);
            if ($resultContact2['result']['id']) {
                $dealArr['cf_potentials_billingcontact'] = $resultContact2['result']['id'];
                $updateDealJson = json_encode($dealArr);
                $updateDealParams = array(
                    "sessionName" => $vtod->sessionId,
                    "operation" => 'update',
                    "element" => $updateDealJson
                );
                $dataUpdateDeal = $vtod->curlPost($vtconfig_url . "webservice.php", $updateDealParams);
            }
        }
    }
    $quoteArr = [];
    if($potentialId) {
        $billingContactEmail = '';
        if($dealArr['cf_potentials_billingcontact']) {
            $billingContact =  $vtod->retrieve($dealArr['cf_potentials_billingcontact']);
            if($billingContact) {
                $billingContactEmail = $billingContact['email'];
            }
        }
        #create Quote record
        $quoteArr['subject'] = str_replace('Deal:','Quote:',$_REQUEST['potentialname']);
        $quoteArr['potential_id'] = $potentialId;
        $quoteArr['quotestage'] = 'New';
        $quoteArr['account_id'] = $dealArr['related_to'];
        $quoteArr['contact_id'] = $dealArr['contact_id'];
        $quoteArr['cf_quotes_contactemail'] = $_REQUEST['email_address'];
        $quoteArr['cf_quotes_billingcontactname'] = $dealArr['cf_potentials_billingcontact'];
        $quoteArr['cf_quotes_billingcontactemail'] = $billingContactEmail;
        $quoteArr['cf_quotes_program'] = $dealArr['cf_potentials_program'];
        $quoteArr['cf_quotes_type'] = $dealArr['cf_potentials_orgtype'];
        $quoteArr['cf_quotes_ponumber1'] = $dealArr['purchase_order_number'];
        if($_REQUEST['org_street']) {
            $quoteArr['bill_street'] = $_REQUEST['org_street'];
            $quoteArr['ship_street'] = $_REQUEST['org_street'];
        }
        if($_REQUEST['org_city']) {
            $quoteArr['bill_city'] = $_REQUEST['org_city'];
            $quoteArr['ship_city'] = $_REQUEST['org_city'];
        }
        if($_REQUEST['org_state']) {
            $quoteArr['bill_state'] = $_REQUEST['org_state'];
            $quoteArr['ship_state'] = $_REQUEST['org_state'];
        }
        if($_REQUEST['org_postcode']) {
            $quoteArr['bill_city'] = $_REQUEST['org_postcode'];
            $quoteArr['ship_code'] = $_REQUEST['org_postcode'];
        }
        $quoteArr['assigned_user_id'] = '19x1';
        $quoteArr['hdnTaxType'] = 'individual';
        $quoteArr['LineItems'] = $lineItem;
        $objectQuoteJson = json_encode($quoteArr);
        $quoteParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectQuoteJson,
            "elementType" => 'Quotes',
        );
        $dataQuote = $vtod->curlPost($vtconfig_url . "webservice.php", $quoteParams);
        $resultQuote = json_decode($dataQuote,1);
        if ($resultQuote['result']['id']) {
            echo json_encode(array('success'=>true,'message'=>$potentialId));
            exit;
        } else {
            echo json_encode(array('success'=>false,'message'=>$resultQuote->error->message));
            exit;
        }
    }
    echo json_encode(array('success'=>true,'message'=>$potentialId));
    putlog(array('success'=>true,'message'=>$potentialId));
    exit;
} else {
    echo json_encode(array('success'=>false,'message'=>$result_arr->error->message));
    putlog(array('success'=>false,'message'=>$result_arr->error->message));
    exit;
}