<?php
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL  & ~(E_STRICT|E_NOTICE) );/**/
chdir(dirname(__FILE__));
require "../init.php";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: PUT, GET, POST");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");

putlog($_REQUEST);
$array_victor = array("QLD" , "NSW");

$vtod = init_vtod();
$vtconfig_url = $vtod_config["url"];
$dealArr = [];
if($_REQUEST['potentialname']) {
    $_REQUEST['potentialname'] = urldecode($_REQUEST['potentialname']);
}
if($_REQUEST['org_name']) {
    $_REQUEST['org_name'] = urldecode($_REQUEST['org_name']);
}
#task_id: 55085
if($_REQUEST['cf_potentials_schoolstate'] == 'Australian Capital Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'ACT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'New South Wales') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NSW';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Northern Territory') {
    $_REQUEST['cf_potentials_schoolstate'] = 'NT';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Queensland') {
    $_REQUEST['cf_potentials_schoolstate'] = 'QLD';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'South Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'SA';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Tasmania') {
    $_REQUEST['cf_potentials_schoolstate'] = 'TAS';
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Victoria' || $_REQUEST['cf_potentials_schoolstate'] == 'VIC') {
    $_REQUEST['cf_potentials_schoolstate'] = 'VIC';    
    $dealArr['cf_potentials_schoolmentalhealthfunding'] = $_REQUEST['cf_potentials_schoolmentalhealthfunding'];    
} elseif($_REQUEST['cf_potentials_schoolstate'] == 'Western Australia') {
    $_REQUEST['cf_potentials_schoolstate'] = 'WA';
}
#end task_id: 55085
$dealArr['potentialname'] = "2024 School Partnership Program" ;
$dealArr['cf_potentials_numberofparticipants'] = $_REQUEST['cf_potentials_numberofstudents'];
$dealArr['cf_potentials_studentfees'] = (float)$_REQUEST['cf_potentials_studentfees']*(int)$_REQUEST['cf_potentials_numberofstudents'];
$dealArr['cf_potentials_studentfees_currency_value'] = $_REQUEST['cf_potentials_studentfees_currency_value'];
$dealArr['cf_potentials_programcost'] = (float)$dealArr['cf_potentials_studentfees'] + (float)$_REQUEST['cf_potentials_programcost'];
$dealArr['cf_potentials_programcost_currency_value'] = $_REQUEST['cf_potentials_programcost_currency_value'];
$dealArr['closingdate'] = date('d-m-Y');
$dealArr['pipeline'] = 'Standard';
$dealArr['sales_stage'] = 'Deal Won';
$dealArr['cf_potentials_program'] = 'School';
$dealArr['assigned_user_id'] = '19x1';
$dealArr['cf_potentials_schooladdress'] = $_REQUEST['cf_potentials_schooladdress'];
$dealArr['cf_potentials_schoolcity'] = $_REQUEST['cf_potentials_schoolcity'];
$dealArr['cf_potentials_state'] = $_REQUEST['cf_potentials_schoolstate'];
$dealArr['cf_potentials_schoolpostcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
$confirm_url = "https://forms.theresilienceproject.com.au/new-schools-confirmation-new/?org_name=".rawurlencode($_REQUEST['org_name'])."&contact_first_name=".rawurlencode($_REQUEST['first_name'])."&contact_last_name=".rawurlencode($_REQUEST['last_name'])."&contact_email=".$_REQUEST['contact_email']."&address=".rawurlencode($_REQUEST['cf_potentials_schooladdress'])."&city=".rawurlencode($_REQUEST['cf_potentials_schoolcity'])."&state=".rawurlencode($_REQUEST['cf_potentials_schoolstate'])."&zip_code=".$_REQUEST['cf_potentials_schoolpostcode'];


$formlink = 'https://forms.theresilienceproject.com.au/new-schools-confirmation-2024/';
$dealArr['cf_potentials_formlink'] = $formlink;

$existing_deal = false; 
$res_deal = array();

if($_REQUEST['org_name']) {
    if(strpos($_REQUEST['org_name'], "'s") !== false) {
        $org_name = str_replace("'s","\'s",$_REQUEST['org_name']);
    } else {
        $org_name = $_REQUEST['org_name'];
    }
    $query_org  = sprintf("SELECT * FROM Accounts WHERE accountname='%s' LIMIT 1; ",$org_name);
    $res_org = $vtod->query($query_org);
    if(isset($res_org[0]['id'])) {
        $org_id = $res_org[0]['id'];
        // matching with existing org 
        /*On Form submission the following are the same exact requirement as 53385:
Update organisation record 2024 Confirmation Status = Confirmed */
        
        /*On form submit, if deal record already exists for organisation with stage = "New" OR "Considering" or "Ready to Close", update existing record with form fields as follows:
Deal Name = 2024 School Partnership Program
Assigned to = If state = "QLD" OR "NSW" = Victor, Else state = Laura
All other mapping stays the same as we did for task 53385*/
        
        $query_deal = sprintf("SELECT * FROM Potentials WHERE related_to='%s' order by id desc;", $org_id);
        $res_deal = $vtod->query($query_deal);
        if(count($res_deal)>0) {
            $existing_deal = true;  
        }
        
        
        $dealArr['related_to'] = $res_org[0]['id'];
        $orgP = $vtod->retrieve($res_org[0]['id']);
        $orgP['cf_accounts_confirmationurl'] = $confirm_url;
        $orgP['cf_accounts_organisationtype'] = 'School';
        $orgP['cf_accounts_address'] = $_REQUEST['cf_potentials_schooladdress'];
        $orgP['cf_accounts_city'] = $_REQUEST['cf_potentials_schoolcity'];
        $orgP['cf_accounts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
        $orgP['cf_accounts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $orgP['cf_accounts_2024confirmationstatus'] = 'Confirmed'; 
        
        $orgPJson = json_encode($orgP);
        $org_Params = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $orgPJson
        );
        $dataOrgP = $vtod->curlPost($vtconfig_url . "webservice.php", $org_Params);
    } else {
        #create new Org
        $orgArr = [];
        $orgArr['accountname'] = $_REQUEST['org_name'];
        $orgArr['cf_accounts_yearswithtrp'] = '2024';
        $orgArr['cf_accounts_organisationtype'] = 'School';
        $orgArr['assigned_user_id'] = '19x1';
        $orgArr['cf_accounts_confirmationurl'] = $confirm_url;
        $orgArr['cf_accounts_address'] = $_REQUEST['cf_potentials_schooladdress'];
        $orgArr['cf_accounts_city'] = $_REQUEST['cf_potentials_schoolcity'];
        $orgArr['cf_accounts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
        $orgArr['cf_accounts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $orgArr['cf_accounts_2024confirmationstatus'] = 'Confirmed'; 
        $orgArr['cf_accounts_formlink'] = $formlink;
        $objectOrgJson = json_encode($orgArr);
        $orgParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectOrgJson,
            "elementType" => 'Accounts',
        );
        $dataOrg = $vtod->curlPost($vtconfig_url . "webservice.php", $orgParams);
        $resultOrg = json_decode($dataOrg);
        if ($resultOrg->result->id) {
            $dealArr['related_to'] = $resultOrg->result->id;
        }
    }
}
if($_REQUEST['contact_email']) {
    $query_contact = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_email']);
    $res_contact = $vtod->query($query_contact);
    if(isset($res_contact[0]['id'])) { 
        /*On Form submission the following are the same exact requirement as 53385:
        
        Update contact record type = Primary (or create contact record if does not exist)
        Create billing contact with type = Billing (or update if already exists)*/
        $dealArr['contact_id'] = $res_contact[0]['id'];
        $contactP = $vtod->retrieve($res_contact[0]['id']);
        $contactP['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactP['firstname'] = $_REQUEST['first_name'];
        $contactP['lastname'] = $_REQUEST['last_name'];
        $contactP['cf_contacts_confirmationstatus'] = 'Complete';
        $contactP['cf_contacts_confirmationform'] = 'New School';
        if($dealArr['related_to']) {
            $contactP['account_id'] = $dealArr['related_to'];
        }
        $contactP['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
        $contactP['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
        $contactP['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
        $contactP['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $contactP['cf_contacts_type'] = 'Primary';
        $contactJson = json_encode($contactP);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $contactJson
        );
        $dataContactP = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
    } else {
        #create new Contact
        $contactArr = [];
        $contactArr['firstname'] = $_REQUEST['first_name'];
        $contactArr['lastname'] = $_REQUEST['last_name'];
        $contactArr['email'] = $_REQUEST['contact_email'];
        $contactArr['cf_contacts_confirmationform'] = 'New School';
        if($dealArr['related_to']) {
            $contactArr['account_id'] = $dealArr['related_to'];
        }
//        $contactArr['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
//        $contactArr['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
//        $contactArr['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
//        $contactArr['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
        $contactArr['contacttype'] = 'Sales Qualified Lead';
        $contactArr['assigned_user_id'] = '19x1';
        $contactArr['cf_contacts_confirmationurlnew'] = $confirm_url;
        $contactArr['cf_contacts_confirmationstatus'] = 'Complete';
        $contactArr['cf_contacts_type'] = 'Primary';
        $contactArr['cf_contacts_formlink'] = $formlink;
        
        $objectContactJson = json_encode($contactArr);
        $contactParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectContactJson,
            "elementType" => 'Contacts',
        );
        $dataContact = $vtod->curlPost($vtconfig_url . "webservice.php", $contactParams);
        $resultContact = json_decode($dataContact);
        if ($resultContact->result->id) {
            $dealArr['contact_id'] = $resultContact->result->id;
        }
    }
}

//&task_id=54030
$numberofstudents =  $_REQUEST['cf_potentials_numberofstudents'];
//Also update the Deal."Org Type" to always be 'School - Existing'
$dealArr['cf_potentials_orgtype'] = 'School - New';

//Also update the Deal."Number of Participants" to be equal to the required field in the form "How many students will be participating in the 2023 program?"

// mapping values
$array_mapping = array(
     
    array('','Hugh Digital','','Inspire: Digital Presentations with Hugh','SER18','3900'),
    array('','Martin Digital','','Inspire: Digital Presentations with Martin','SER19','3900'),
    array('Journals','','','Engage: Teaching and Learning Program','SER12','20'), 
);

$array_services = array( 
    'Inspire: Digital Presentations with Hugh',
    'Inspire: Digital Presentations with Martin', 
    'Engage: Teaching and Learning Program', 
);

$array_services_map = array( 
    'Inspire: Digital Presentations with Hugh'=>'inspire_program',
    'Inspire: Digital Presentations with Martin'=>'inspire_program', 
    'Engage: Teaching and Learning Program'=>'school_lesson', ) ;

$cf_potentials_curriculum = $cf_potentials_presentations = $cf_potentials_additionaloptions = array();

// check in the form
$school_lesson = 'Journals';
$inspire_program = 'Yes';
$presenter_inspire_program = $_REQUEST['presenter_inspire_program'];
$add_services = array();

foreach ($array_services_map as $service_name => $form_field){
    
    if ( $form_field == 'school_lesson' ){
        if (strpos( $service_name, 'Planners') ===false &&  $school_lesson != 'Planners' && ( $school_lesson == 'Journals' || empty($$form_field)) ) { //
            $add_services[] = $service_name;
        }
    }
    else if ( $form_field == 'inspire_program' &&  $inspire_program == 'Yes'){
        if ( strpos($presenter_inspire_program, 'Hugh and Martin') !==false && strpos($service_name, 'Hugh and Martin') >0 ){
            //                 echo 1;
            $add_services[] = $service_name;
        }
        else if ( strpos($presenter_inspire_program, 'Hugh') !==false && strpos($service_name, 'Hugh') >0  && strpos($presenter_inspire_program, 'Martin') ===false && strpos($service_name, 'Martin')===false  ){
            //                 echo 2 ;
            $add_services[] = $service_name;
        }
        else if ( strpos($presenter_inspire_program, 'Martin') !==false && strpos($service_name, 'Martin') >0  && strpos($presenter_inspire_program, 'Hugh') ===false && strpos($service_name, 'Hugh')===false  ){
            //                 echo 3;
            $add_services[] = $service_name;
        }
        
    }
}
// print_r($add_services);
putlog('adding services');
putlog($add_services);

foreach ($array_services as $k => $service){
    if (in_array($service , $add_services)){
        foreach ($array_mapping as $values){
            if (in_array($service , $values)){
                // query service id by service_no
                $query_service  = sprintf("SELECT * FROM Services WHERE service_no='%s' LIMIT 1; ",$values[4]);
                $res_service = $vtod->query($query_service);
                $service_xerocode = '';
                if(isset($res_service[0]['id'])) {
                    $serviceid = $res_service[0]['id'];
                    $service_xerocode = $res_service[0]['cf_services_xerocode'];
                    //                     echo '--', $serviceid , '--';
                    $price = (float)$values[5];
                    $tax_GST = 0;// $price * 0.1; 
                    $unit_price = $price + $tax_GST;
                    //                     $service_twp = $vtod->retrieve($serviceid);
                    if($serviceid) {
                        if (strpos($service, 'Engage: ') !==false){
                            $lineItem[] = array(
                                'productid' => $serviceid,
                                'quantity' => $numberofstudents,
                                'listprice' => $unit_price,
                                'cf_quotes_xerocode' => $service_xerocode,
                                'duration' => '1'
                            );
                            $grandTotal += $numberofstudents * $unit_price;
                        }
                        else {
                            $lineItem[] = array(
                                'productid' => $serviceid,
                                'quantity' => '1',
                                'listprice' => $unit_price,
                                'cf_quotes_xerocode' => $service_xerocode,
                                'duration' => '1'
                            );
                            $grandTotal += $unit_price;
                        }
                    }
                    
                }
                foreach ($values as $i => $v){
                    if (!empty($v) ){
                        if ($i==0){
                            $cf_potentials_curriculum[]= $v;
                        }
                        if ($i==1){
                            $cf_potentials_presentations[]= $v;
                        }
                        if ($i==2){
                            $cf_potentials_additionaloptions[]= $v;
                        }
                        
                    }
                }
            }
        }
    }
}

$dealArr['cf_potentials_curriculum'] = (empty($cf_potentials_curriculum))?'':implode(' |##| ', $cf_potentials_curriculum);
$dealArr['cf_potentials_presentations'] = (empty($cf_potentials_presentations))?'':implode(' |##| ', $cf_potentials_presentations);
$dealArr['cf_potentials_additionaloptions'] = (empty($cf_potentials_additionaloptions))?'':implode(' |##| ', $cf_potentials_additionaloptions);

$dealArr['amount'] = (float)$grandTotal;
$dealArr['amount_currency_value'] = (float)$grandTotal;
$dealArr['LineItems'] = $lineItem;
$dealArr['hdnSubTotal'] = (float)$grandTotal;
$dealArr['hdnGrandTotal'] = (float)$grandTotal;

$create_new_deal = true; 
if ($existing_deal){
    putlog('update existing deal');
    $array_stage = array("New","Considering","Ready to Close");
    
    foreach($res_deal as $k => $v) {        
        
        $stage = $v['sales_stage'];
        if (!in_array($stage, $array_stage)){
            continue;
        }
        $new_potentialname = '2024 School Partnership Program' ;
        $v = array_replace_recursive($v,$dealArr);
        putlog($v);
        if (in_array( $_REQUEST['cf_potentials_schoolstate'], $array_victor)){
            $v['assigned_user_id'] = '19x33';
            $dealArr['assigned_user_id'] = '19x33';
        }
        else {
            $v['assigned_user_id'] = '19x8'; //Laura
            $dealArr['assigned_user_id'] = '19x8'; 
        }
        
        $v['potentialname'] = $new_potentialname;
        
        
        $dealJson = json_encode($v);
        $dealParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'update',
            "element" => $dealJson
        );
        $data_potential = $vtod->curlPost($vtconfig_url . "webservice.php", $dealParams);
        $result_arr = json_decode($data_potential);
        if ($result_arr->result->id ) {
            putlog('update existing deal SUCCESSFULLY');
            $create_new_deal = FALSE; 
            break; // only update the latest deal?
        }
        
    }
}

if ($create_new_deal) {
    if (in_array( $_REQUEST['cf_potentials_schoolstate'], $array_victor)){
        $dealArr['assigned_user_id'] = '19x33';
    }
    else {
        $dealArr['assigned_user_id'] = '19x8'; //Laura
    }
    
    putlog('adding deal');
    putlog($dealArr);
    
    $objectJson = json_encode($dealArr);
    $params = array(
        "sessionName" => $vtod->sessionId,
        "operation" => 'create',
        "element" => $objectJson,
        "elementType" => 'Potentials',
    );
    $data_potential = $vtod->curlPost($vtconfig_url . "webservice.php", $params);
    putlog($data_potential);
    $result_arr = json_decode($data_potential);
}

//  quote record will always be created no matter what.
if ($result_arr->result->id  ) {
    putlog('create  quote');
    $potentialId = $result_arr->result->id;
    #create Contact second  // billing contact 
    if($_REQUEST['contact_email2']) {
        $query_contact2 = sprintf("SELECT * FROM Contacts WHERE email='%s' LIMIT 1; ", $_REQUEST['contact_email2']);
        $res_contact2 = $vtod->query($query_contact2);
        if(!isset($res_contact2[0]['id'])) {
            #create new Contact
            $contact2Arr = [];
            $contact2Arr['firstname'] = $_REQUEST['first_name2'];
            $contact2Arr['lastname'] = $_REQUEST['last_name2'];
            $contact2Arr['cf_contacts_type'] = 'Billing';
            $contact2Arr['email'] = $_REQUEST['contact_email2'];
            $contact2Arr['cf_contacts_confirmationform'] = 'New School';
            if($dealArr['related_to']) {
                $contact2Arr['account_id'] = $dealArr['related_to'];
            }
            $contact2Arr['cf_contacts_dealname'] = $potentialId;
            $contact2Arr['cf_contacts_address'] = $_REQUEST['cf_potentials_schooladdress'];
            $contact2Arr['cf_contacts_city'] = $_REQUEST['cf_potentials_schoolcity'];
            $contact2Arr['cf_contacts_statenew'] = $_REQUEST['cf_potentials_schoolstate'];
            $contact2Arr['cf_contacts_zipcode'] = $_REQUEST['cf_potentials_schoolpostcode'];
            $contact2Arr['contacttype'] = 'Sales Qualified Lead';
            $contact2Arr['assigned_user_id'] = '19x1';
            $contact2Arr['cf_contacts_confirmationurlnew'] = $confirm_url;
            $contact2Arr['cf_contacts_formlink'] = $formlink;
            
            $objectContact2Json = json_encode($contact2Arr);
            $contact2Params = array(
                "sessionName" => $vtod->sessionId,
                "operation" => 'create',
                "element" => $objectContact2Json,
                "elementType" => 'Contacts',
            );
            $dataContact2 = $vtod->curlPost($vtconfig_url . "webservice.php", $contact2Params);
            $resultContact2 = json_decode($dataContact2,1);
            if ($resultContact2['result']['id']) {
                $dealArr['cf_potentials_billingcontact'] = $resultContact2['result']['id'];
                $updateDealJson = json_encode($dealArr);
                $updateDealParams = array(
                    "sessionName" => $vtod->sessionId,
                    "operation" => 'update',
                    "element" => $updateDealJson
                );
                $dataUpdateDeal = $vtod->curlPost($vtconfig_url . "webservice.php", $updateDealParams);
            }
        }
    }
    $quoteArr = [];
    if($potentialId  ) { // this quote record and email will always be sent and created
        $billingContactEmail = '';
        if($dealArr['cf_potentials_billingcontact']) {
            $billingContact =  $vtod->retrieve($dealArr['cf_potentials_billingcontact']);
            if($billingContact) {
                $billingContactEmail = $billingContact['email'];
            }
        }
        #create Quote record
        
        $quoteArr['subject'] = str_replace('Deal:','Quote:',$_REQUEST['potentialname']);
        $quoteArr['potential_id'] = $potentialId;
        $quoteArr['quotestage'] = 'New';
        $quoteArr['account_id'] = $dealArr['related_to'];
        $quoteArr['contact_id'] = $dealArr['contact_id'];
        $quoteArr['cf_quotes_contactemail'] = $_REQUEST['contact_email'];
        $quoteArr['cf_quotes_billingcontactname'] = $dealArr['cf_potentials_billingcontact'];
        $quoteArr['cf_quotes_billingcontactemail'] = $billingContactEmail;
        $quoteArr['cf_quotes_program'] = $dealArr['cf_potentials_program'];
        $quoteArr['cf_quotes_type'] = $dealArr['cf_potentials_orgtype'];
        if($_REQUEST['cf_potentials_schooladdress']) {
            $quoteArr['bill_street'] = $_REQUEST['cf_potentials_schooladdress'];
            $quoteArr['ship_street'] = $_REQUEST['cf_potentials_schooladdress'];
        }
        $quoteArr['bill_state'] = get_bill_state($dealArr['cf_potentials_state']);
        
        $quoteArr['assigned_user_id'] = $dealArr['assigned_user_id'];
        $quoteArr['hdnTaxType'] = 'individual';
        $quoteArr['LineItems'] = $lineItem;
        $quoteArr['cf_quotes_formlink'] = $formlink;
        $objectQuoteJson = json_encode($quoteArr);
        $quoteParams = array(
            "sessionName" => $vtod->sessionId,
            "operation" => 'create',
            "element" => $objectQuoteJson,
            "elementType" => 'Quotes',
        );
        $dataQuote = $vtod->curlPost($vtconfig_url . "webservice.php", $quoteParams);
        $resultQuote = json_decode($dataQuote,1);
        if ($resultQuote['result']['id']) {
            echo json_encode(array('success'=>true,'message'=>$potentialId));
            exit;
        } else {
            echo json_encode(array('success'=>false,'message'=>$resultQuote->error->message));
            exit;
        }
    }
    echo json_encode(array('success'=>true,'message'=>$potentialId));
    putlog(array('success'=>true,'message'=>$potentialId));
    exit;
} else {
    echo json_encode(array('success'=>false,'message'=>$result_arr->error->message));
    putlog(array('success'=>false,'message'=>$result_arr->error->message));
    exit;
}

function get_bill_state($param) {
    $name = '';
    if($param == 'ACT' ) {
        $name = 'Australian Capital Territory';
    } elseif($param == 'NSW' ) {
        $name = 'New South Wales';
    } elseif($param == 'NT' ) {
        $name = 'Northern Territory';
    } elseif($param == 'QLD' ) {
        $name = 'Queensland';
    } elseif($param == 'SA' ) {
        $name = 'South Australia';
    } elseif($param == 'TAS' ) {
        $name = 'Tasmania';
    } elseif(  $param ==  'VIC') {
        $name = 'Victoria';
        
    } elseif($param == 'WA' ) {
        $name = 'Western Australia';
    }
    return $name;
}

function get_contents($templateName, $variables) {
    $template = file_get_contents($templateName);

    foreach($variables as $key => $value)
    {
        $template = str_replace('{{ '.$key.' }}', $value, $template);
    }
    return $template;
}

function getLineItemContent($data) {
    $html_content = '';
    foreach($data as $k => $val) {
        $html_content .= '<tr>
			<td style=" background:#fff;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['sequence_no'].'</span></td>
			<td style="text-align:left; border-bottom:2px solid white;border-right:2px solid white;">
			<h3><span style="font-family:verdana,geneva,sans-serif;">'.$val['product_name'].'</span></h3>
			<span style="font-family:verdana,geneva,sans-serif;">'.$val['description'].'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.number_format($val['listprice']).'</span></td>
			<td style="border-right:2px solid white;border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;">'.$val['quantity'].'</span></td>
			<td style="border-bottom:2px solid white"><span style="font-family:verdana,geneva,sans-serif;"><strong>'.number_format($val['netprice']).'</strong></span></td>
		</tr>';
    }

    return $html_content;
}